summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabian Köster <koesterreich@fastmail.fm>2012-10-27 10:43:08 +0200
committerFabian Köster <koesterreich@fastmail.fm>2012-10-27 10:43:08 +0200
commitdd83a8774c3ff6d488e78dc450c4a323fb4bb776 (patch)
tree0fa62a20c45e957bf21874f6f9b4af419eba2936
downloadhibiscus-dd83a8774c3ff6d488e78dc450c4a323fb4bb776.tar.gz
hibiscus-dd83a8774c3ff6d488e78dc450c4a323fb4bb776.tar.bz2
hibiscus-dd83a8774c3ff6d488e78dc450c4a323fb4bb776.zip
Initial commit
-rw-r--r--app-office/hibiscus/Manifest5
-rw-r--r--app-office/hibiscus/files/1.12.2-hbci4java-api.patch33
-rw-r--r--app-office/hibiscus/files/1.12.2-hbci4java-so-filename.patch38
-rw-r--r--app-office/hibiscus/files/2.2.1-hbci4java-so-filename.patch38
-rw-r--r--app-office/hibiscus/hibiscus-2.2.1.ebuild72
-rw-r--r--dev-java/itext/Manifest3
-rw-r--r--dev-java/itext/files/2.0.8-site_xml.patch12
-rw-r--r--dev-java/itext/itext-5.3.3.ebuild59
-rw-r--r--dev-java/jameica-scripting/jameica-scripting-2.2.0.ebuild86
-rw-r--r--dev-java/jameica/Manifest4
-rw-r--r--dev-java/jameica/jameica-1.10.0.ebuild81
-rw-r--r--dev-java/jameica/jameica-2.2.0.ebuild86
-rw-r--r--dev-java/obantoo/Manifest7
-rw-r--r--dev-java/obantoo/files/1.4.11-hibiscus-encoding.patch151
-rw-r--r--dev-java/obantoo/obantoo-1.4.11.ebuild49
-rw-r--r--dev-java/obantoo/obantoo-1.5.1.ebuild49
-rw-r--r--dev-java/obantoo/obantoo-1.5.2.ebuild49
-rw-r--r--dev-java/spiffy/Manifest2
-rw-r--r--dev-java/spiffy/spiffy-0.05.ebuild58
-rw-r--r--dev-java/supercsv/Manifest2
-rw-r--r--dev-java/supercsv/supercsv-1.52.ebuild57
-rw-r--r--dev-java/swt-chart/Manifest2
-rw-r--r--dev-java/swt-chart/swt-chart-0.8.0.ebuild65
-rw-r--r--dev-java/swt-paperclips/Manifest3
-rw-r--r--dev-java/swt-paperclips/swt-paperclips-1.0.4.200908120926.ebuild50
-rw-r--r--dev-java/willuhn-datasource/Manifest5
-rw-r--r--dev-java/willuhn-datasource/files/2.2-java7-api.patch33
-rw-r--r--dev-java/willuhn-datasource/willuhn-datasource-1.10.ebuild45
-rw-r--r--dev-java/willuhn-datasource/willuhn-datasource-2.2.ebuild46
-rw-r--r--dev-java/willuhn-util/Manifest4
-rw-r--r--dev-java/willuhn-util/willuhn-util-1.10.ebuild42
-rw-r--r--dev-java/willuhn-util/willuhn-util-2.2.ebuild42
-rw-r--r--net-libs/hbci4java/Manifest4
-rw-r--r--net-libs/hbci4java/files/2.5.12-build.patch60
-rw-r--r--net-libs/hbci4java/files/2.5.12-makefile.patch139
-rw-r--r--net-libs/hbci4java/hbci4java-2.5.12.ebuild60
-rw-r--r--net-libs/willuhn-hbci4java/Manifest2
-rw-r--r--net-libs/willuhn-hbci4java/willuhn-hbci4java-2.5.12.30.ebuild67
-rw-r--r--sys-libs/pcsc-ctapi-wrapper/Manifest2
-rw-r--r--sys-libs/pcsc-ctapi-wrapper/pcsc-ctapi-wrapper-0.3.ebuild28
40 files changed, 1640 insertions, 0 deletions
diff --git a/app-office/hibiscus/Manifest b/app-office/hibiscus/Manifest
new file mode 100644
index 0000000..9161a23
--- /dev/null
+++ b/app-office/hibiscus/Manifest
@@ -0,0 +1,5 @@
+AUX 1.12.2-hbci4java-api.patch 1681 SHA256 48f4efd5622e10e65ff8c06c39c44357123dfc128c8e0ef4f9b7d8f2b62d5b55 SHA512 81ccf84af1af781464c83b6c0be44c4c610a25776c2785b21c1cf2da7ee638eb01919942700efec9ec1f553408101d8747c3c025e805782d4f5ae67fb1065244 WHIRLPOOL 43acab4cae551262dc6b6681b4e2727a1c248c226ad5fa5a65a47b0873b91fcfa2d867890291242c42ba6547cbd3f2bc030c6ab807e60c41eb786fcac86d09e5
+AUX 1.12.2-hbci4java-so-filename.patch 1699 SHA256 cfacad8432d216bb861f63970a51f4eb038e659797cf4b4f3d9c816835dc4677 SHA512 1bfe4880d6ea76c1b14b4abfb72115d44645832552bbcf0eb89c7d0bfa6a6ef3dbf98e8d545590951606d10b2abff0c80df93d34e1200ab3de6e6d0873a787fa WHIRLPOOL f1dc7b67d5fd4eb3807298bc5b6705a2a87dfed2fd687437b6b6b50519f22cda8af939d658174498cf10a7f03717a8a66e036a35292742cfa52b78e2d692a9da
+AUX 2.2.1-hbci4java-so-filename.patch 1697 SHA256 22df5c01119aa6a6b818557090e08f0295970ab64d97374953f0c84f70445938 SHA512 367b112f08c95e1029b9f09fd902fff6af0790579554ac63df78ef56b8ba1311d544b522bd4b13b2d4fbeece241f57d8192364d7f72f3261bf1a5cc240d252f2 WHIRLPOOL d34d3328acbdf676f097485d10753f40d0a4df4044cc1cf80efbe777efd6cd4db9f06bf6b41208d3f7073346ec826001413ed7c973277f5025f37f9f70457ec9
+DIST hibiscus-2.2.1.zip 5245507 SHA256 d026229bb24b4502b42da193538c0fc35f07d05bce1e9469cf25bb248e4b3495 SHA512 a18ad22859de1ac8faf9b5e286f82f2dd3cbf445460055313440c88471b10e32e0a59b20b824ae1f1817b4a3366c2dba9087be4798dcac0fdc7df02615a9a479 WHIRLPOOL 4dae30ee699d2cda33cf194fa7750e6a68a8d1c1c5938415d1f1fd05306d03598aec729f9e89c4c045923d153a8d6f24d547c6ceb2f6c2ecfdb321c769cd53b2
+EBUILD hibiscus-2.2.1.ebuild 2445 SHA256 9a388dee18ee61e8bcb28281de8b741fca433509f29c778b5c8193315cc31cb8 SHA512 b8d96be8ddb7e196357931c0022e3f544574ec76942144f2a2347b06143699dc8b4faae787a77b2e15a999e278a8103092ec558cbb7ae377f1d540b647049cce WHIRLPOOL dd308bc0976123b521caf5408a45f31ee9cb4412ac3318bd6d97a78fc4d684cb408977412dbf8103952bc14da2ab0c3791812eb5ce3b9bead1a73bf5c5695503
diff --git a/app-office/hibiscus/files/1.12.2-hbci4java-api.patch b/app-office/hibiscus/files/1.12.2-hbci4java-api.patch
new file mode 100644
index 0000000..c6f7096
--- /dev/null
+++ b/app-office/hibiscus/files/1.12.2-hbci4java-api.patch
@@ -0,0 +1,33 @@
+Index: hibiscus/src/de/willuhn/jameica/hbci/io/MT940UmsatzImporter.java
+===================================================================
+--- hibiscus.orig/src/de/willuhn/jameica/hbci/io/MT940UmsatzImporter.java
++++ hibiscus/src/de/willuhn/jameica/hbci/io/MT940UmsatzImporter.java
+@@ -246,11 +246,13 @@ public class MT940UmsatzImporter impleme
+ public boolean onlyBPDGVs() {return false;}
+ public boolean needUserKeys() {return false;}
+ public boolean needInstKeys() {return false;}
++ public boolean needDigKey() {return false;}
+ public boolean isSupported() {return false;}
+ public boolean hasMySigKey() {return false;}
+ public boolean hasMyEncKey() {return false;}
+ public boolean hasInstSigKey() {return false;}
+ public boolean hasInstEncKey() {return false;}
++ public boolean hasInstDigKey() {return false;}
+ public String getUserId() {return null;}
+ public String getUPDVersion() {return null;}
+ public Properties getUPD() {return null;}
+@@ -288,6 +290,7 @@ public class MT940UmsatzImporter impleme
+ public void clearUPD() {}
+ public void clearInstSigKey() {}
+ public void clearInstEncKey() {}
++ public void clearInstDigKey() {}
+ public void clearBPD(){}
+ public void changePassphrase(){}
+ };
+@@ -356,4 +359,4 @@ public class MT940UmsatzImporter impleme
+ * Revision 1.1 2006/01/17 00:22:36 willuhn
+ * @N erster Code fuer Swift MT940-Import
+ *
+- ******************************************************************************/
+\ No newline at end of file
++ ******************************************************************************/
diff --git a/app-office/hibiscus/files/1.12.2-hbci4java-so-filename.patch b/app-office/hibiscus/files/1.12.2-hbci4java-so-filename.patch
new file mode 100644
index 0000000..b46a2fc
--- /dev/null
+++ b/app-office/hibiscus/files/1.12.2-hbci4java-so-filename.patch
@@ -0,0 +1,38 @@
+Index: hibiscus/src/de/willuhn/jameica/hbci/passports/ddv/DDVConfigFactory.java
+===================================================================
+--- hibiscus.orig/src/de/willuhn/jameica/hbci/passports/ddv/DDVConfigFactory.java
++++ hibiscus/src/de/willuhn/jameica/hbci/passports/ddv/DDVConfigFactory.java
+@@ -447,9 +447,9 @@ public class DDVConfigFactory
+ */
+ private static File getJNILib() throws ApplicationException
+ {
+- String file = null;
++ String file = "libhbci4java-card-linux.so";
+
+- switch (Application.getPlatform().getOS())
++ /*switch (Application.getPlatform().getOS())
+ {
+ case Platform.OS_LINUX:
+ file = "libhbci4java-card-linux-32.so";
+@@ -474,12 +474,12 @@ public class DDVConfigFactory
+ case Platform.OS_FREEBSD_64:
+ file = "libhbci4java-card-freebsd-64.so";
+ break;
+- }
++ }*/
+
+ if (file == null)
+ throw new ApplicationException(i18n.tr("Hibiscus unterstützt leider keine Chipkartenleser für Ihr Betriebssystem"));
+
+- File f = new File(de.willuhn.jameica.hbci.Settings.getLibPath(),file);
++ File f = new File("/usr/lib",file);
+ if (!f.exists())
+ throw new ApplicationException(i18n.tr("Treiber {0} nicht gefunden",f.getAbsolutePath()));
+
+@@ -508,4 +508,4 @@ public class DDVConfigFactory
+ * Revision 1.1 2010-09-07 15:28:05 willuhn
+ * @N BUGZILLA 391 - Kartenleser-Konfiguration komplett umgebaut. Damit lassen sich jetzt beliebig viele Kartenleser und Konfigurationen parellel einrichten
+ *
+- **********************************************************************/
+\ No newline at end of file
++ **********************************************************************/
diff --git a/app-office/hibiscus/files/2.2.1-hbci4java-so-filename.patch b/app-office/hibiscus/files/2.2.1-hbci4java-so-filename.patch
new file mode 100644
index 0000000..8168548
--- /dev/null
+++ b/app-office/hibiscus/files/2.2.1-hbci4java-so-filename.patch
@@ -0,0 +1,38 @@
+Index: hibiscus/src/de/willuhn/jameica/hbci/passports/ddv/DDVConfigFactory.java
+===================================================================
+--- hibiscus.orig/src/de/willuhn/jameica/hbci/passports/ddv/DDVConfigFactory.java
++++ hibiscus/src/de/willuhn/jameica/hbci/passports/ddv/DDVConfigFactory.java
+@@ -530,9 +530,9 @@ public class DDVConfigFactory
+ */
+ private static File getJNILib() throws ApplicationException
+ {
+- String file = null;
++ String file = "libhbci4java-card-linux.so";
+
+- switch (Application.getPlatform().getOS())
++ /*switch (Application.getPlatform().getOS())
+ {
+ case Platform.OS_LINUX:
+ file = "libhbci4java-card-linux-32.so";
+@@ -561,12 +561,12 @@ public class DDVConfigFactory
+ case Platform.OS_FREEBSD_64:
+ file = "libhbci4java-card-freebsd-64.so";
+ break;
+- }
++ }*/
+
+ if (file == null)
+ throw new ApplicationException(i18n.tr("Hibiscus untersttzt leider keine Chipkartenleser fr Ihr Betriebssystem"));
+
+- File f = new File(de.willuhn.jameica.hbci.Settings.getLibPath(),file);
++ File f = new File("/usr/lib",file);
+ if (!f.exists())
+ throw new ApplicationException(i18n.tr("Treiber {0} nicht gefunden",f.getAbsolutePath()));
+
+@@ -612,4 +612,4 @@ public class DDVConfigFactory
+ * Revision 1.1 2010-09-07 15:28:05 willuhn
+ * @N BUGZILLA 391 - Kartenleser-Konfiguration komplett umgebaut. Damit lassen sich jetzt beliebig viele Kartenleser und Konfigurationen parellel einrichten
+ *
+- **********************************************************************/
+\ No newline at end of file
++ **********************************************************************/
diff --git a/app-office/hibiscus/hibiscus-2.2.1.ebuild b/app-office/hibiscus/hibiscus-2.2.1.ebuild
new file mode 100644
index 0000000..30f324d
--- /dev/null
+++ b/app-office/hibiscus/hibiscus-2.2.1.ebuild
@@ -0,0 +1,72 @@
+EAPI="2"
+JAVA_PKG_IUSE="doc source"
+WANT_ANT_TASKS="ant-nodeps"
+
+inherit eutils java-pkg-2 java-ant-2 versionator
+
+MY_PV="$(get_version_component_range 1-2)"
+
+DESCRIPTION="A HBCI homebanking application based on hbci4java"
+HOMEPAGE="http://www.willuhn.de/products/hibiscus/"
+SRC_URI="http://www.willuhn.de/products/hibiscus/releases/${MY_PV}/hibiscus.src.zip -> ${P}.zip"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+
+COMMON_DEP="=dev-java/jameica-${MY_PV}*
+ >=net-libs/willuhn-hbci4java-2.5.12.30
+ =dev-java/obantoo-1.5.1
+ >=dev-java/supercsv-1.31
+ >=dev-java/swt-chart-0.7.0"
+
+RDEPEND=">=virtual/jre-1.6
+ ${COMMON_DEP}"
+
+DEPEND=">=virtual/jdk-1.6
+ ${COMMON_DEP}"
+
+S=${WORKDIR}/${PN}
+
+java_prepare() {
+ #epatch "${FILESDIR}/${PV}-hbci4java-api.patch"
+ epatch "${FILESDIR}/${PV}-hbci4java-so-filename.patch"
+
+ rm -v ${S}/lib/*.{jar,so,dll,jnilib} || die
+
+ #rm -v ${S}/lib/{itext-2.0.1.jar,obantoo-bin-1.5.1.jar,postgresql-8.3-604.jdbc3.jar,supercsv-1.31.jar,libct.so,libhbci4java-card-freebsd-64.so,libhbci4java-card-linux-32.so,libhbci4java-card-linux-64.so,libhbci4java-sizrdh-linux-gcc2.so,libhbci4java-sizrdh-linux-gcc3.so,libtowitoko-2.0.7-amd64.so,libtowitoko-2.0.7.so,hbci4java-card-win32.dll,hbci4java-card-win32_x86-64.dll,hbci4java-sizrdh-win32.dll,libhbci4java-card-mac-os-x-10.6.jnilib,libhbci4java-card-mac.jnilib} || die
+
+ java-pkg_jar-from --with-dependencies --into ${S}/lib/ willuhn-hbci4java,obantoo,jameica,supercsv,swt-chart
+}
+
+src_compile() {
+ eant -f build/build.xml jar $(use_doc javadoc)
+}
+
+src_install() {
+
+ local plugin_dir=/usr/share/jameica/plugins/hibiscus
+
+ dodir ${plugin_dir}
+ insinto ${plugin_dir}
+
+ doins plugin.xml
+ doins releases/${PV}-0/${PN}/${PN}.jar
+
+ cp -R "${S}/updates" "${D}${plugin_dir}" || die "Install failed!"
+ cp -R "${S}/sql" "${D}${plugin_dir}" || die "Install failed!"
+
+ dodir ${plugin_dir}/lib
+
+ dosym "$(java-pkg_getjars willuhn-hbci4java)" ${plugin_dir}/lib/
+ dosym "$(java-pkg_getjars obantoo)" ${plugin_dir}/lib/
+ dosym "$(java-pkg_getjars supercsv)" ${plugin_dir}/lib/
+
+ newicon icons/${PN}-icon-16x16.png ${PN}-icon-16x16.png || die "newicon failed"
+ newicon icons/${PN}-icon-32x32.png ${PN}-icon-32x32.png || die "newicon failed"
+ newicon icons/${PN}-icon-64x64.png ${PN}-icon-64x64.png || die "newicon failed"
+
+ use doc && java-pkg_dojavadoc releases/${PV}-0/javadoc
+ use source && java-pkg_dosrc src/de
+}
diff --git a/dev-java/itext/Manifest b/dev-java/itext/Manifest
new file mode 100644
index 0000000..735130e
--- /dev/null
+++ b/dev-java/itext/Manifest
@@ -0,0 +1,3 @@
+AUX 2.0.8-site_xml.patch 726 SHA256 b6738416f0587706908d4eb30626e49766428922ecc3995d825b0c42515a7fe2 SHA512 da50239e9afabb25685380e6af59cdd613734416cb46416ff00a6acf54ee1746dd36a25d7dfff7dfff905ffdff35a06c89164b05fb5ba3947f1558d427459bad WHIRLPOOL 829a6d605230205364c39847b4c9829e77dab4381399d5009db137120a4fb4ddbfdfdea475de3f7f560b080c52499076f117b02a2cfd96803e0cbef2a14dfe30
+DIST itext-5.3.3.zip 7412526 SHA256 5b3acc70355131b446e9cb3c95969b519eb4e1277058484456007e9744ae2d6a SHA512 8d8a86605be338f398cbea4ed92e52510b39e999af4203c31b075eb948b42fb00d67747a4c8f0d8c3017c1e881f5709a48683446877d0f8b0c910492ff17e9cf WHIRLPOOL cdebe2b426820c1511ea2dbfe83eb3def5f2977fecc67c380a338a8ffde13196dd566297979b20610bfb966127ffdf89f6f88a7314af832339a889bb4c039065
+EBUILD itext-5.3.3.ebuild 1423 SHA256 d6aab0686434e906f16b44e19619300c71fe8a5bc8824949dcb9945d25aa51c8 SHA512 d986c39854e890048362750334c6fa0c7052afcd009dd51613723eedf3172878aebfb77c25ecdb0d944068d2a19f413e1adb5123489f1f076974b7259f90bb50 WHIRLPOOL 08b89436da08a12719ad0db941bdd38b3327f0297447ebc8d27cd2818872492856548c9398cd0b5efcd4ce15681226f62efd49d490b88f43335405b847cc92be
diff --git a/dev-java/itext/files/2.0.8-site_xml.patch b/dev-java/itext/files/2.0.8-site_xml.patch
new file mode 100644
index 0000000..6ea2af9
--- /dev/null
+++ b/dev-java/itext/files/2.0.8-site_xml.patch
@@ -0,0 +1,12 @@
+diff -Naur itext-2.0.8_orig/work/src/ant/site.xml itext-2.0.8/work/src/ant/site.xml
+--- itext-2.0.8_orig/work/src/ant/site.xml 2008-01-26 13:26:26.000000000 -0500
++++ itext-2.0.8/work/src/ant/site.xml 2008-01-26 13:26:46.000000000 -0500
+@@ -67,8 +67,6 @@
+ <include name="com/lowagie/**" />
+ </packageset>
+ <classpath refid="itext.classpath"/>
+- <link href="http://java.sun.com/j2se/1.4/docs/api/" />
+- <link href="http://www.bouncycastle.org/docs/docs1.4/" />
+ <header>&lt;a href="http://itext.ugent.be/itext-in-action/" target="_blank"&gt;&lt;img src="http://itext.ugent.be/img/lowagie_3d.jpg" border="0" /&gt;&lt;/a&gt;</header>
+ </javadoc>
+ </target>
diff --git a/dev-java/itext/itext-5.3.3.ebuild b/dev-java/itext/itext-5.3.3.ebuild
new file mode 100644
index 0000000..8c02689
--- /dev/null
+++ b/dev-java/itext/itext-5.3.3.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-java/itext/itext-5.2.0.ebuild,v 1.1 2012/03/26 07:21:27 sera Exp $
+
+EAPI="4"
+
+JAVA_PKG_IUSE="doc source"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="Java library that generate documents in the Portable Document Format (PDF) and/or HTML."
+HOMEPAGE="http://itextpdf.com"
+SRC_URI="mirror://sourceforge/${PN}/${P}.zip"
+
+LICENSE="AGPL-3"
+SLOT="5"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+COMMON_DEP="
+ >=dev-java/bcmail-1.45
+ >=dev-java/bcprov-1.46
+ >=dev-java/bctsp-1.45"
+RDEPEND="${COMMON_DEP}
+ >=virtual/jre-1.5"
+DEPEND="${COMMON_DEP}
+ >=virtual/jdk-1.5
+ app-arch/unzip"
+
+src_unpack() {
+ default
+ unpack ./${PN}{pdf,-xtra}-${PV}-sources.jar
+}
+
+java_prepare() {
+ # Extract resources from precompiled jar
+ mkdir target/classes -p || die
+ pushd target/classes > /dev/null || die
+ declare -a resources
+ resources=( $(jar -tf "${WORKDIR}"/${PN}pdf-${PV}.jar \
+ | sed -e '/class$/d' -e '/\/$/d' -e '/META-INF/d') )
+ assert
+ jar -xf "${WORKDIR}"/${PN}pdf-${PV}.jar "${resources[@]}" || die
+ popd > /dev/null
+
+ # TODO Re-enable this, fix dependencies
+ #find "${WORKDIR}" -name '*.jar' -exec rm -v {} + || die
+}
+
+src_compile() {
+ echo "Nothing to compile"
+ mv itextpdf-5.3.3.jar itext.jar
+}
+
+#JAVA_GENTOO_CLASSPATH="bcmail,bcprov,bctsp"
+
+src_install() {
+ java-pkg-simple_src_install
+}
diff --git a/dev-java/jameica-scripting/jameica-scripting-2.2.0.ebuild b/dev-java/jameica-scripting/jameica-scripting-2.2.0.ebuild
new file mode 100644
index 0000000..ff7bcf1
--- /dev/null
+++ b/dev-java/jameica-scripting/jameica-scripting-2.2.0.ebuild
@@ -0,0 +1,86 @@
+EAPI="2"
+JAVA_PKG_IUSE="doc source"
+
+WANT_ANT_TASKS="ant-nodeps"
+inherit eutils java-pkg-2 java-ant-2 versionator
+
+MY_PV="$(get_version_component_range 1-2)"
+
+DESCRIPTION="Scripting extension for Jameica"
+HOMEPAGE="http://www.willuhn.de/products/jameica/extensions.php#jameica.scripting"
+SRC_URI="http://www.willuhn.de/products/jameica/releases/${MY_PV}/jameica.scripting-${PV}.src.zip"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+
+COMMON_DEP="~dev-java/willuhn-util-${MY_PV}
+ ~dev-java/willuhn-datasource-${MY_PV}
+ >=dev-java/nanoxml-2.2.3
+ dev-java/swt:3.7
+ >=dev-java/velocity-1.5
+ >=dev-java/xmlrpc-3.1
+ >=dev-java/commons-cli-1.1
+ >=dev-java/commons-collections-3.2.1
+ >=dev-java/commons-lang-2.6
+ >=dev-java/commons-logging-1.1.1
+ dev-java/swtcalendar
+ >=dev-java/bcprov-1.44
+ >=dev-java/h2-1.2.145
+ >=dev-java/commons-lang-2.6
+ >=dev-java/swt-paperclips-1.0.4"
+
+RDEPEND=">=virtual/jre-1.5
+ ${COMMON_DEP}"
+
+DEPEND=">=virtual/jdk-1.5
+ app-arch/unzip
+ ${COMMON_DEP}"
+
+S=${WORKDIR}/${PN}
+
+java_prepare() {
+ #rm -r ${S}/lib/*
+ cd ${S}/lib
+
+ rm -vr apache_xmlrpc bouncycastle de_willuhn_ds de_willuhn_util h2 jakarta_commons mckoi mysql nanoxml paperclips splash.jar swtcalendar velocity
+ rm -vr swt/linux swt/linux64 swt/macos swt/macos64 swt/win32 swt/win64
+
+ mkdir gentoo
+ local xmlrpc
+ xmlrpc="xmlrpc"
+ if has_version ">=dev-java/xmlrpc-3"; then
+ #TODO: How to reference slot instead of version ?
+ xmlrpc="xmlrpc-3"
+ fi
+
+ EANT_GENTOO_CLASSPATH="willuhn-util,willuhn-datasource,nanoxml,swt-3.7,velocity,${xmlrpc},commons-cli-1,commons-collections,commons-lang-2.1,commons-logging,swtcalendar,bcprov,h2,swt-paperclips"
+
+ java-pkg_jar-from --with-dependencies --into gentoo "${EANT_GENTOO_CLASSPATH}"
+}
+
+src_compile() {
+ eant -f build/build.xml jar $(use_doc javadoc)
+}
+
+src_install() {
+ java-pkg_newjar releases/${PV}-0/jameica/jameica.jar
+
+ java-pkg_newjar lib/swt/org.eclipse.core.runtime*.jar org.eclipse.core.runtime.jar
+ java-pkg_newjar lib/swt/org.eclipse.jface*.jar org.eclipse.jface.jar
+ java-pkg_newjar lib/swt/org.eclipse.osgi*.jar org.eclipse.osgi.jar
+ java-pkg_newjar lib/swt/org.eclipse.ui.forms*.jar org.eclipse.ui.forms.jar
+
+ insinto /usr/share/${PN}
+ doins plugin.xml
+ dodir /usr/share/${PN}/plugins
+
+ java-pkg_dolauncher ${PN} --main de.willuhn.jameica.Main --pwd /usr/share/jameica/
+
+ newicon build/${PN}-icon.png ${PN}-icon.png || die "newicon failed"
+ make_desktop_entry jameica "Jameica" ${PN}-icon "Office;Finance"
+
+ use doc && java-pkg_dojavadoc releases/${PV}-0/javadoc
+ use source && java-pkg_dosrc src/de
+}
diff --git a/dev-java/jameica/Manifest b/dev-java/jameica/Manifest
new file mode 100644
index 0000000..fa1049a
--- /dev/null
+++ b/dev-java/jameica/Manifest
@@ -0,0 +1,4 @@
+DIST jameica-1.10.0.zip 20016988 SHA256 3e2f1fd43312879493a6a0e257927ab2253536f1042960640eaaeca85c3b64ba SHA512 cc2da119d3f5faa467b3273e4541b054b5ab167e5b940be4775cad655562aa955f5f9f3026eb59f1a276e0a289b10f0d5e187c566938f278208607ff8baad5d0 WHIRLPOOL e893a5ba29a04c2283f4e92834eb4d35475afa6607947871ddaa7fd72dd304b5d1b8366e08407f651b00e470500b92037d48757e664d6d7ec1329a220f10839e
+DIST jameica-2.2.0.zip 20393047 SHA256 4bdd4030b9a8d5d5d8f1887db6b2602e094103b86fae7b7f2ea52e6532c2b7a9 SHA512 95e43cbf46f0a00c2db180d62aec2ba256b89baf860bff09c1091884e40f92b56864bbc2157bb5bea84c0ae3eb8d0bcf44a408f2442978c8a68f49088d061a22 WHIRLPOOL 451fdef9d23533927e90786b0f2009a7e3277c87e75d5fa806657e770c517940cd3bac249ef54349b780ddaadbdc82d84e679e1b8e60dbcb9e84ed5567a29b20
+EBUILD jameica-1.10.0.ebuild 2395 SHA256 171c9c313f7d7d99e41ac9deca62a0488a7f07d0542af67638715cbfc80a01eb SHA512 45a80908772d1c56a9b7af42d0b265ada42069045113349df045e046271236b3220c9bec3a0e5b7d5a2c93a1e493f2bb35e1c15058a28658390db8cff0cb4d26 WHIRLPOOL 86e62e620220696fc4e0676f3f3537cff4afa4a712e551f69b07c3e1fac535676ab2aca7fd004d1efac83c40689da8f8d31fd4c0705d45358ddd2837c24f7169
+EBUILD jameica-2.2.0.ebuild 2569 SHA256 2b4830a1d9ca438a721ec8c642a54d9efce2701fface44e65c6b7ba287edaa54 SHA512 7b614b28915cf8fe4dc3391c7603e4be1b97ea90da6dfae1b4902ecf86faf62506db3e22d2646cf7a41ed947258d2a8fefc5c4921da89669efa6eea8e04e140f WHIRLPOOL d4512aeec091c2e2b99793feb86084c2d201920773bfa096c380e0c86de635003726615dec9a0a0d3b484b8e5a8e0940c4e2b7264813300303447dfae497a7dd
diff --git a/dev-java/jameica/jameica-1.10.0.ebuild b/dev-java/jameica/jameica-1.10.0.ebuild
new file mode 100644
index 0000000..25114f4
--- /dev/null
+++ b/dev-java/jameica/jameica-1.10.0.ebuild
@@ -0,0 +1,81 @@
+EAPI="2"
+JAVA_PKG_IUSE="doc source"
+
+WANT_ANT_TASKS="ant-nodeps"
+inherit eutils java-pkg-2 java-ant-2 versionator
+
+MY_PV="$(get_version_component_range 1-2)"
+
+DESCRIPTION="A Java Framework and Runtime Environment"
+HOMEPAGE="http://www.willuhn.de/products/jameica/"
+SRC_URI="http://www.willuhn.de/products/${PN}/releases/${MY_PV}/${PN}/${PN}.src.zip -> ${P}.zip"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+
+COMMON_DEP="~dev-java/willuhn-util-${MY_PV}
+ ~dev-java/willuhn-datasource-${MY_PV}
+ dev-java/nanoxml
+ dev-java/swt:3.5
+ dev-java/velocity
+ dev-java/xmlrpc
+ dev-java/commons-cli
+ dev-java/commons-collections
+ dev-java/commons-lang
+ dev-java/commons-logging
+ dev-java/swtcalendar
+ dev-java/bcprov
+ dev-java/h2"
+
+RDEPEND=">=virtual/jre-1.5
+ ${COMMON_DEP}"
+
+DEPEND=">=virtual/jdk-1.5
+ app-arch/unzip
+ ${COMMON_DEP}"
+
+S=${WORKDIR}/${PN}
+
+java_prepare() {
+ cd ${S}/lib
+
+ rm -vr apache_xmlrpc bouncycastle de_willuhn_ds de_willuhn_util h2 jakarta_commons mckoi mysql nanoxml swtcalendar velocity
+ rm -vr swt/linux swt/linux64 swt/macos swt/macos64 swt/win32 swt/win64
+
+ mkdir gentoo
+ local xmlrpc
+ xmlrpc="xmlrpc"
+ if has_version ">=dev-java/xmlrpc-3"; then
+ #TODO: How to reference slot instead of version ?
+ xmlrpc="xmlrpc-3"
+ fi
+ java-pkg_jar-from --with-dependencies --into gentoo willuhn-util,willuhn-datasource,nanoxml,swt-3.5,velocity,${xmlrpc},commons-cli-1,commons-collections,commons-lang-2.1,commons-logging,swtcalendar,bcprov,h2
+}
+
+src_compile() {
+ eant -f build/build.xml jar $(use_doc javadoc)
+}
+
+src_install() {
+ java-pkg_newjar releases/${PV}-0/jameica/jameica.jar
+
+ java-pkg_newjar lib/swt/org.eclipse.core.runtime*.jar org.eclipse.core.runtime.jar
+ java-pkg_newjar lib/swt/org.eclipse.jface*.jar org.eclipse.jface.jar
+ java-pkg_newjar lib/swt/org.eclipse.osgi*.jar org.eclipse.osgi.jar
+ java-pkg_newjar lib/swt/org.eclipse.ui.forms*.jar org.eclipse.ui.forms.jar
+
+ insinto /usr/lib/${PN}
+ doins plugin.xml
+ dodir /usr/lib/${PN}/plugins
+
+ java-pkg_dolauncher ${PN} --main de.willuhn.jameica.Main --pwd /usr/lib/jameica/
+
+ newicon build/${PN}-icon-01.png ${PN}-icon-01.png || die "newicon failed"
+ newicon build/${PN}-icon-02.png ${PN}-icon-02.png || die "newicon failed"
+ make_desktop_entry /usr/bin/jameica "Jameica" ${PN}-icon-01
+
+ use doc && java-pkg_dojavadoc releases/${PV}-0/javadoc
+ use source && java-pkg_dosrc src/de
+}
diff --git a/dev-java/jameica/jameica-2.2.0.ebuild b/dev-java/jameica/jameica-2.2.0.ebuild
new file mode 100644
index 0000000..e62ed68
--- /dev/null
+++ b/dev-java/jameica/jameica-2.2.0.ebuild
@@ -0,0 +1,86 @@
+EAPI="2"
+JAVA_PKG_IUSE="doc source"
+
+WANT_ANT_TASKS="ant-nodeps"
+inherit eutils java-pkg-2 java-ant-2 versionator
+
+MY_PV="$(get_version_component_range 1-2)"
+
+DESCRIPTION="A Java Framework and Runtime Environment"
+HOMEPAGE="http://www.willuhn.de/products/jameica/"
+SRC_URI="http://www.willuhn.de/products/${PN}/releases/${MY_PV}/${PN}/${PN}.src.zip -> ${P}.zip"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+
+COMMON_DEP="~dev-java/willuhn-util-${MY_PV}
+ ~dev-java/willuhn-datasource-${MY_PV}
+ >=dev-java/nanoxml-2.2.3
+ dev-java/swt:3.7
+ >=dev-java/velocity-1.5
+ >=dev-java/xmlrpc-3.1
+ >=dev-java/commons-cli-1.1
+ >=dev-java/commons-collections-3.2.1
+ >=dev-java/commons-lang-2.6
+ >=dev-java/commons-logging-1.1.1
+ dev-java/swtcalendar
+ >=dev-java/bcprov-1.44
+ >=dev-java/h2-1.2.145
+ >=dev-java/commons-lang-2.6
+ >=dev-java/swt-paperclips-1.0.4"
+
+RDEPEND=">=virtual/jre-1.5
+ ${COMMON_DEP}"
+
+DEPEND=">=virtual/jdk-1.5
+ app-arch/unzip
+ ${COMMON_DEP}"
+
+S=${WORKDIR}/${PN}
+
+java_prepare() {
+ #rm -r ${S}/lib/*
+ cd ${S}/lib
+
+ rm -vr apache_xmlrpc bouncycastle de_willuhn_ds de_willuhn_util h2 jakarta_commons mckoi mysql nanoxml paperclips splash.jar swtcalendar velocity
+ rm -vr swt/linux swt/linux64 swt/macos swt/macos64 swt/win32 swt/win64
+
+ mkdir gentoo
+ local xmlrpc
+ xmlrpc="xmlrpc"
+ if has_version ">=dev-java/xmlrpc-3"; then
+ #TODO: How to reference slot instead of version ?
+ xmlrpc="xmlrpc-3"
+ fi
+
+ EANT_GENTOO_CLASSPATH="willuhn-util,willuhn-datasource,nanoxml,swt-3.7,velocity,${xmlrpc},commons-cli-1,commons-collections,commons-lang-2.1,commons-logging,swtcalendar,bcprov,h2,swt-paperclips"
+
+ java-pkg_jar-from --with-dependencies --into gentoo "${EANT_GENTOO_CLASSPATH}"
+}
+
+src_compile() {
+ eant -f build/build.xml jar $(use_doc javadoc)
+}
+
+src_install() {
+ java-pkg_newjar releases/${PV}-0/jameica/jameica.jar
+
+ java-pkg_newjar lib/swt/org.eclipse.core.runtime*.jar org.eclipse.core.runtime.jar
+ java-pkg_newjar lib/swt/org.eclipse.jface*.jar org.eclipse.jface.jar
+ java-pkg_newjar lib/swt/org.eclipse.osgi*.jar org.eclipse.osgi.jar
+ java-pkg_newjar lib/swt/org.eclipse.ui.forms*.jar org.eclipse.ui.forms.jar
+
+ insinto /usr/share/${PN}
+ doins plugin.xml
+ dodir /usr/share/${PN}/plugins
+
+ java-pkg_dolauncher ${PN} --main de.willuhn.jameica.Main --pwd /usr/share/jameica/
+
+ newicon build/${PN}-icon.png ${PN}-icon.png || die "newicon failed"
+ make_desktop_entry jameica "Jameica" ${PN}-icon "Office;Finance"
+
+ use doc && java-pkg_dojavadoc releases/${PV}-0/javadoc
+ use source && java-pkg_dosrc src/de
+}
diff --git a/dev-java/obantoo/Manifest b/dev-java/obantoo/Manifest
new file mode 100644
index 0000000..7a53e3b
--- /dev/null
+++ b/dev-java/obantoo/Manifest
@@ -0,0 +1,7 @@
+AUX 1.4.11-hibiscus-encoding.patch 4967 SHA256 b0b60b1aac782df8d89e3e6773480d776c623ed0434eb2ca419b90fd7e8a7278 SHA512 3392cd972e6ced619efce7583e521999d34584ac5cda4a5b2beafbeacf84c9d16eb2f51c966ba6ac28055f14d61095bfe78e8f724083fe67a9c38b522b4b65f1 WHIRLPOOL 2e8f7574647cccba0632190d64dc99cb46608f497d4ff59c8d717f94e4af2d3be14e2fd56e6233892f6078aa121a33f22359ef2235904a036f2593b35ffb485f
+DIST obantoo-1.4.11.zip 264959 SHA256 5fd0e3848d0aaeda0150c1e2cf87d5e7126be3e5bcac1bb5f36c4e8a632c16b6 SHA512 91d5a84362be22821d92d0d0433538e581d0abcd15be7d8523d0a220d54bb90a737a80c84d7c66b9fd15030919c418337640cbcaab831dd65abfc0d593dea473 WHIRLPOOL 1869068857d89c6b9c7ae048b07cfbc5d6c890a621b8c7c1d2eae0b7c03b98ab0937d2aeec1346b101349297d38196214164d05b8db2880e41dc8681b1483884
+DIST obantoo-1.5.1.zip 283790 SHA256 20d335034c3c56c8d8c4bde522f727dc7f99e8725997549b0323cb4495514a41 SHA512 d6616a0100b6fc028c051b84f99cf2dc83d26462bf598ac6301e8874c257417a2f1ae57a23352ab0710843772d0358a854ed7b678546ba6a5a316d924bfd4206 WHIRLPOOL b0b0019d6ab1a4eddf348f6269d9e4010c3d5c72eab5598be0f5b90bf9fa92020e6cf2b644e3fba08fa71d0f56a577471ec33823729edc39092429d10e5c8507
+DIST obantoo-1.5.2.zip 291683 SHA256 0da4ad09283197f87bca6a96fcf67b3bf695d7e70c30d00ce526ee30fc2795e0 SHA512 0566a8aa6fa716c609d383491c92d45bcff3d94d9a02ea360bd8668090967d78247c2845d0e5b5e3039761074da0b3195d27a8dca4e6c076dd645857881206d8 WHIRLPOOL f816cdee9d2040bbf5a0814e10f12607a9d0bb4cc9d925d8ee9bd47072a957ce81053e7568d612f646a3ed0171f12fcf6fe873368023681a9e525551b785971d
+EBUILD obantoo-1.4.11.ebuild 964 SHA256 f2f6c9e2d6777bb46522a900131eea5aa1b8c658f3c48c269ba50e262f3c2039 SHA512 264bf6965b83be1c2ff3211b147d2c47b464382fa8fe67c856c7ba9f71cead623d7a582f2aa5f965589d7535b6e8dae9c346dfd982ca2ca8d655f6a2cde15760 WHIRLPOOL 916bb04397179a45f5f3aa9d643dcc1d9a325ddd81c32836347c232524d2c1b6eed79113d8e0abdb72ef09a0d2497c4c9ea0e59cf3bf2d48930998346e9f218a
+EBUILD obantoo-1.5.1.ebuild 973 SHA256 7f4033de1874b09fcb1b0ecad853d29bea09a36a6ff280ab190de96de6575c78 SHA512 c84753cfa37dc1697ea919972ad4bc006bb3b755aaf1e0c99722803713713657bf5b598fab601d24c7a0233f4da953b7b2857c06e76c96aaad986e8306fced00 WHIRLPOOL a6a77170504bc30f32a8f0d93ac6a7c6d6157faaf0d8d7de7460e153b3cd7173d39b04ba4188353f6294f7baf8eaad813d1a54f55eefb71c6b403c59f48d9564
+EBUILD obantoo-1.5.2.ebuild 975 SHA256 f34236fa29bf9e1eb38533d7a5642c09629d2e6a4d013e43a1ada023d774155e SHA512 e1b53ba6144d936751c7156b9207e72edfad2ae5c4560aca9d6f04a9106d59f02c8fc9da92034be165d5a46529056bfe84d7d22c1b66ccf0573733f8f930966d WHIRLPOOL a8fc6deb991451bea9beeaeb6ac09962641048e7b6725ea41eb77e39a594e7b62daf97bf68eee5fbee79ec02ff8f021f0c0b9f2626950ea0bf824aa3acafaef4
diff --git a/dev-java/obantoo/files/1.4.11-hibiscus-encoding.patch b/dev-java/obantoo/files/1.4.11-hibiscus-encoding.patch
new file mode 100644
index 0000000..29e74ca
--- /dev/null
+++ b/dev-java/obantoo/files/1.4.11-hibiscus-encoding.patch
@@ -0,0 +1,151 @@
+--- src/de/jost_net/OBanToo/Dtaus/DtausDateiParser.java 2008-07-09 15:02:58.000000000 +0200
++++ DtausDateiParser.java 2010-12-28 15:45:29.907892004 +0100
+@@ -1,7 +1,7 @@
+ /*
+ * $Source: /cvsroot/obantoo/obantoo/src/de/jost_net/OBanToo/Dtaus/DtausDateiParser.java,v $
+- * $Revision: 1.8 $
+- * $Date: 2008/02/17 08:30:46 $
++ * $Revision: 1.10 $
++ * $Date: 2008/08/23 12:18:30 $
+ * $Author: jost $
+ *
+ * Copyright 2006 by Heiner Jostkleigrewe
+@@ -24,7 +24,8 @@
+ * </p>
+ * <p>
+ * Dem Parser kann ber einen speziellen Konstruktor mitgeteilt werden, wie
+- * fehlertolerant er sein soll.
++ * fehlertolerant er sein soll. Standardmssig wird das Encoding ISO-8859-1
++ * verwendet. In einem Konstruktor kann ein anderes Encoding vorgegeben werden.
+ * <ul>
+ * <li>SPEZIFIKATIONSKONFORM - entsprechend der DTAUS-Spezifikation wird ohne
+ * Fehlertoleranz gearbeitet.</li>
+@@ -81,6 +82,8 @@
+ */
+ public class DtausDateiParser
+ {
++ private String encoding = "ISO-8859-1";
++
+ private InputStream dtaus;
+
+ private ASatz asatz = null;
+@@ -116,6 +119,13 @@
+ this(new BufferedInputStream(new FileInputStream(filename)), toleranz);
+ }
+
++ public DtausDateiParser(String filename, int toleranz, String encoding)
++ throws IOException, DtausException
++ {
++ this(new BufferedInputStream(new FileInputStream(filename)), toleranz,
++ encoding);
++ }
++
+ public DtausDateiParser(InputStream is) throws IOException, DtausException
+ {
+ this(is, SPEZIFIKATIONSKONFORM);
+@@ -124,7 +134,18 @@
+ public DtausDateiParser(InputStream is, int toleranz) throws IOException,
+ DtausException
+ {
++ this(is, toleranz, null);
++ }
++
++ public DtausDateiParser(InputStream is, int toleranz, String encoding)
++ throws IOException, DtausException
++ {
+ this.toleranz = toleranz;
++ if (encoding != null)
++ {
++ this.encoding = encoding;
++ }
++
+ logischeDateien = new Vector();
+ dtaus = is;
+ while (is.available() > 0)
+@@ -201,13 +222,13 @@
+ {
+ byte[] inchar = new byte[4];
+ dtaus.read(inchar);
+- String satzlaenge = new String(inchar);
++ String satzlaenge = new String(inchar, this.encoding);
+ // Lese in der Satzlnge. Die Satzlnge ist um 4 Bytes zu verringern, da
+ // diese
+ // Bytes bereits gelesen wurden.
+ inchar = new byte[getSatzlaenge(satzlaenge) - 4];
+ dtaus.read(inchar);
+- return satzlaenge + new String(inchar);
++ return satzlaenge + new String(inchar, this.encoding);
+ }
+
+ /**
+@@ -262,15 +283,17 @@
+ public static void main(String[] args)
+ {
+ int tol = 0;
+- if (args.length < 1 || args.length > 2)
++ String encoding = null;
++ if (args.length < 1 || args.length > 3)
+ {
+- System.err.println("Argumente fr den Aufruf: dateiname [toleranz]\n"
+- + "toleranz = 0 Spezifikationskonform\n"
+- + "toleranz = 1 DOS-Umlaute umwandeln\n"
+- + "toleranz = 2 Zeichencode 00 in Space umwandeln");
++ System.err
++ .println("Argumente fr den Aufruf: dateiname [toleranz] [encoding]\n"
++ + "toleranz = 0 Spezifikationskonform\n"
++ + "toleranz = 1 DOS-Umlaute umwandeln\n"
++ + "toleranz = 2 Zeichencode 00 in Space umwandeln");
+ System.exit(1);
+ }
+- if (args.length == 2)
++ if (args.length >= 2)
+ {
+ try
+ {
+@@ -282,9 +305,21 @@
+ System.exit(1);
+ }
+ }
++ if (args.length == 3)
++ {
++ encoding = args[2];
++ }
+ try
+ {
+- DtausDateiParser p = new DtausDateiParser(args[0], tol);
++ DtausDateiParser p;
++ if (encoding == null)
++ {
++ p = new DtausDateiParser(args[0], tol);
++ }
++ else
++ {
++ p = new DtausDateiParser(args[0], tol, encoding);
++ }
+ System.out.println("Anzahl logischer Dateien: "
+ + p.getAnzahlLogischerDateien());
+ for (int i = 1; i <= p.getAnzahlLogischerDateien(); i++)
+@@ -320,10 +355,13 @@
+ }
+ /*
+ * $Log: DtausDateiParser.java,v $
+- * Revision 1.8 2008/02/17 08:30:46 jost
+- * Neuer Toleranzlevel
+- * Neues Feld5
+- * Revision 1.7 2007/02/14 14:42:54 jost javadoc
++ * Revision 1.10 2008/08/23 12:18:30 jost
++ * Encoding kann als Kommandozeilenparameter an die main-Methode übergeben werden.
++ * Revision 1.9 2008/07/09 19:43:28 jost Patch
++ * von Olaf Willuhn: Standardmässig wird das Encoding ISO-8859-1 verwendet.
++ * Optional kann über zusätzliche Konstruktoren ein anderes Encoding
++ * eingestellt werden. Revision 1.8 2008/02/17 08:30:46 jost Neuer Toleranzlevel
++ * Neues Feld5 Revision 1.7 2007/02/14 14:42:54 jost javadoc
+ *
+ * Revision 1.6 2006/10/06 12:47:39 jost Optionale Fehlertoleranz Revision 1.5
+ * 2006/06/04 12:23:51 jost Redaktionelle nderung
+@@ -333,5 +371,4 @@
+ * Dateien pro physikalischer Datei - interne Umstellung von Reader auf
+ * InputStream Revision 1.2 2006/05/25 20:30:40 jost Korrektur Satzlngen und
+ * Doku Revision 1.1 2006/05/24 16:24:44 jost Prerelease
+- *
+ */
diff --git a/dev-java/obantoo/obantoo-1.4.11.ebuild b/dev-java/obantoo/obantoo-1.4.11.ebuild
new file mode 100644
index 0000000..4599bd3
--- /dev/null
+++ b/dev-java/obantoo/obantoo-1.4.11.ebuild
@@ -0,0 +1,49 @@
+EAPI="2"
+JAVA_PKG_IUSE="doc source"
+
+inherit eutils java-pkg-2
+
+DESCRIPTION="A Java Library for HBCI (Homebanking Computer Interface) / FinTS (Financial Transaction Services)"
+HOMEPAGE="http://obantoo.berlios.de/"
+SRC_URI="http://download.berlios.de/${PN}/${P}.zip"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+
+COMMON_DEP="dev-java/itext"
+
+RDEPEND=">=virtual/jre-1.4
+ ${COMMON_DEP}"
+
+DEPEND=">=virtual/jdk-1.4
+ app-arch/unzip
+ ${COMMON_DEP}"
+
+S=${WORKDIR}
+
+java_prepare() {
+ epatch ${FILESDIR}/${PV}-hibiscus-encoding.patch
+ rm -rv bin/* doc/api || die
+}
+
+src_compile() {
+
+ local classpath="$(java-pkg_getjars itext)"
+
+ find src -name '*.java' > sources.list
+ ejavac -encoding latin1 -cp "${classpath}" -d bin @sources.list
+ jar cf ${PN}.jar -C bin/ .
+ # TODO: javadoc
+}
+
+
+src_install() {
+ java-pkg_newjar ${PN}.jar
+
+ use doc && dodoc doc/*
+ use doc && java-pkg_dojavadoc javadoc
+
+ use source && java-pkg_dosrc src/de
+}
diff --git a/dev-java/obantoo/obantoo-1.5.1.ebuild b/dev-java/obantoo/obantoo-1.5.1.ebuild
new file mode 100644
index 0000000..e61861d
--- /dev/null
+++ b/dev-java/obantoo/obantoo-1.5.1.ebuild
@@ -0,0 +1,49 @@
+EAPI="2"
+JAVA_PKG_IUSE="doc source"
+
+inherit eutils java-pkg-2
+
+DESCRIPTION="A Java Library for HBCI (Homebanking Computer Interface) / FinTS (Financial Transaction Services)"
+HOMEPAGE="http://obantoo.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.zip"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+
+COMMON_DEP="dev-java/itext:0"
+
+RDEPEND=">=virtual/jre-1.6
+ ${COMMON_DEP}"
+
+DEPEND=">=virtual/jdk-1.6
+ app-arch/unzip
+ ${COMMON_DEP}"
+
+S=${WORKDIR}
+
+java_prepare() {
+# epatch ${FILESDIR}/${PV}-hibiscus-encoding.patch
+ rm -rv bin/* doc/api || die
+}
+
+src_compile() {
+
+ local classpath="$(java-pkg_getjars itext)"
+
+ find src -name '*.java' > sources.list
+ ejavac -encoding latin1 -cp "${classpath}" -d bin @sources.list
+ jar cf ${PN}.jar -C bin/ .
+ # TODO: javadoc
+}
+
+
+src_install() {
+ java-pkg_newjar ${PN}.jar
+
+ use doc && dodoc doc/*
+ use doc && java-pkg_dojavadoc javadoc
+
+ use source && java-pkg_dosrc src/de
+}
diff --git a/dev-java/obantoo/obantoo-1.5.2.ebuild b/dev-java/obantoo/obantoo-1.5.2.ebuild
new file mode 100644
index 0000000..d0f3fb2
--- /dev/null
+++ b/dev-java/obantoo/obantoo-1.5.2.ebuild
@@ -0,0 +1,49 @@
+EAPI="2"
+JAVA_PKG_IUSE="doc source"
+
+inherit eutils java-pkg-2
+
+DESCRIPTION="A Java Library for HBCI (Homebanking Computer Interface) / FinTS (Financial Transaction Services)"
+HOMEPAGE="http://obantoo.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.zip"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+
+COMMON_DEP="dev-java/itext:5"
+
+RDEPEND=">=virtual/jre-1.6
+ ${COMMON_DEP}"
+
+DEPEND=">=virtual/jdk-1.6
+ app-arch/unzip
+ ${COMMON_DEP}"
+
+S=${WORKDIR}
+
+java_prepare() {
+# epatch ${FILESDIR}/${PV}-hibiscus-encoding.patch
+ rm -rv bin/* doc/api || die
+}
+
+src_compile() {
+
+ local classpath="$(java-pkg_getjars itext-5)"
+
+ find src -name '*.java' > sources.list
+ ejavac -encoding latin1 -cp "${classpath}" -d bin @sources.list
+ jar cf ${PN}.jar -C bin/ .
+ # TODO: javadoc
+}
+
+
+src_install() {
+ java-pkg_newjar ${PN}.jar
+
+ use doc && dodoc doc/*
+ use doc && java-pkg_dojavadoc javadoc
+
+ use source && java-pkg_dosrc src/de
+}
diff --git a/dev-java/spiffy/Manifest b/dev-java/spiffy/Manifest
new file mode 100644
index 0000000..0db51a8
--- /dev/null
+++ b/dev-java/spiffy/Manifest
@@ -0,0 +1,2 @@
+DIST spiffy-all-0.05.zip 141335 SHA256 773b9c2e1b5fe8904d64ba2984903dd022039826b5e682d103c16a10911a227f SHA512 33d824193bff271e1079d1bf9445d28c69b88acddcd4504f3b0868ae569659f20a3a117c6b9574ff08a26d72fa170b96e5f30e3732db98c36e544f81b8ce747d WHIRLPOOL 55ad653642f0d7b3ece17ce2bd8554ba26343e5aca43137e92ca96bde01de66e67989a777f4a54c10fb62cbd0ce3bf7c3003aaf36e1975671454a3514ada0862
+EBUILD spiffy-0.05.ebuild 1196 SHA256 678a60caa31440fca94609b00fbdc910305be9abd85b4e1d59bd65ead3623fab SHA512 5d71d102965ac2727a06b5e96cf2825155fa9cef9a056ea5e33264a123e5726192869604dddf21b658aff0037aaf945826acaf8f49f24bc9c09f61a7431dae58 WHIRLPOOL dafa3e583434e5060a9c74a4917238bd129bd7c3909da64a11659d7a22898792981ea43cc72fb66c10f7ab38860654aa4eb85f32a91edcbb60e36e122604fab6
diff --git a/dev-java/spiffy/spiffy-0.05.ebuild b/dev-java/spiffy/spiffy-0.05.ebuild
new file mode 100644
index 0000000..8a53476
--- /dev/null
+++ b/dev-java/spiffy/spiffy-0.05.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+JAVA_PKG_IUSE="doc source"
+
+MY_PN="SuperCSV"
+MY_P="${MY_PN}-${PV}"
+
+inherit java-pkg-2 eutils
+
+DESCRIPTION="A collection of often used helper methods and utility classes used in industry"
+HOMEPAGE="http://spiffyframework.sourceforge.net/"
+SRC_URI="mirror://sourceforge/spiffyframework/spiffyframework/v0.xx/${PN}-all-${PV}.zip"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+
+
+COMMON_DEPS="dev-java/log4j"
+
+DEPEND="${COMMON_DEPS}
+ app-arch/unzip
+ dev-java/junit:0
+ dev-java/struts
+ >=virtual/jdk-1.5"
+RDEPEND="${COMMON_DEPS}
+ >=virtual/jre-1.5"
+
+S="${WORKDIR}"
+
+src_prepare() {
+ unzip -o ${PN}-all-${PV}-source.zip
+ rm -v *.jar *.zip || die
+}
+
+src_compile() {
+ local classpath="$(java-pkg_getjars junit,log4j,struts-1.2)"
+
+ mkdir build
+ find src -name '*.java' > sources.list
+ ejavac -d build -cp "${classpath}" @sources.list
+ jar cf ${PN}.jar -C build/ .
+
+ # TODO javadoc
+}
+
+src_install() {
+ java-pkg_newjar ${PN}.jar
+
+ #use doc && java-pkg_dohtml -r docs/*
+ use source && java-pkg_dosrc src/org
+}
+
diff --git a/dev-java/supercsv/Manifest b/dev-java/supercsv/Manifest
new file mode 100644
index 0000000..1ba1a4b
--- /dev/null
+++ b/dev-java/supercsv/Manifest
@@ -0,0 +1,2 @@
+DIST SuperCSV-1.52.zip 640962 SHA256 e11679f50225bd21e8ad752e8b88e0d4e0f16d6ac90c48a2da7cbc6f8145ebb8 SHA512 ffcd22e735d367ddaf41af43fae73a645ec3fd60baa4efb62a08b7dda33624c885fb140e7b5c73dfd0d49d9ea61d9d7f303ce8abfb549d6ab6c108a29fa9e175 WHIRLPOOL 7f3b65ec2726553f53dfb08b2aea8dbb4fe8685635f36b4347a80e460393b7effa0069164ade77f64998f31e82cb5bebc5c06861c683ab2b1f5e8a09ff790dc9
+EBUILD supercsv-1.52.ebuild 1102 SHA256 1361fe5963d3810554982ad864b68397229cf144b0e3475d6eb2ad42e19f94ac SHA512 8631be8fd40f2dcf2f5c3ce46008c33849df846e3f92acbaf9ede56522cfe64e71f2b0e4b7dbeebb44933434225f51178c93fd5e887e51b8db3bb54978b12ec7 WHIRLPOOL 870fb52e8a54aec5e7e06c37cfe22a13c4c25576b4e13a49301d7edae4dc626c45402377b22eef83d13bca92919f4af7b763481c866d8dbabfd73fcedb3df0e4
diff --git a/dev-java/supercsv/supercsv-1.52.ebuild b/dev-java/supercsv/supercsv-1.52.ebuild
new file mode 100644
index 0000000..84a67e8
--- /dev/null
+++ b/dev-java/supercsv/supercsv-1.52.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+JAVA_PKG_IUSE="doc source"
+
+MY_PN="SuperCSV"
+MY_P="${MY_PN}-${PV}"
+
+inherit java-pkg-2 eutils
+
+DESCRIPTION="A XML serialization and configuration framework for Java"
+HOMEPAGE="http://simple.sourceforge.net/"
+SRC_URI="mirror://sourceforge/supercsv/v1-branch/v${PV}/${MY_P}.zip"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+
+
+COMMON_DEPS="dev-java/spiffy"
+
+DEPEND="${COMMON_DEPS}
+ app-arch/unzip
+ >=virtual/jdk-1.5"
+RDEPEND="${COMMON_DEPS}
+ >=virtual/jre-1.5"
+
+S="${WORKDIR}"
+
+src_prepare() {
+
+ unzip -o ${MY_P}-source.zip
+ rm -v *.jar *.zip || die
+}
+
+src_compile() {
+ local classpath="$(java-pkg_getjars spiffy)"
+
+ mkdir build
+ find src -name '*.java' > sources.list
+ ejavac -d build -cp "${classpath}" @sources.list
+ jar cf ${PN}.jar -C build/ .
+
+ # TODO javadoc
+}
+
+src_install() {
+ java-pkg_newjar ${PN}.jar
+
+ #use doc && java-pkg_dohtml -r docs/*
+ use source && java-pkg_dosrc src/org
+}
+
diff --git a/dev-java/swt-chart/Manifest b/dev-java/swt-chart/Manifest
new file mode 100644
index 0000000..479166c
--- /dev/null
+++ b/dev-java/swt-chart/Manifest
@@ -0,0 +1,2 @@
+DIST org.swtchart_0.8.0.zip 287272 SHA256 e4334c200ba996aa05abeaf5d6fb91e49ccd8ac93d5273c7a38e365d73edf236 SHA512 8dc13ea114077159c601836a0166224afcbfe79b59930b7a79460873104f35a929d5cd96042b14730d5f36e3497b20629a5d30a87b0e2d0ee5eb240724c22725 WHIRLPOOL 0cd49bbeca52e58a574151a14e89fb2c13f94c063bd19f76f32372675aabb3dd51e9abcfc73a0a414742f794122354d0b4a1fc4d572fc3ae91b685eca2492e68
+EBUILD swt-chart-0.8.0.ebuild 1486 SHA256 72b24abbab2cb707c38f7f86b9e7b87c2cd91126d512e8183669b1d78c8d83a1 SHA512 00611e1a11d71a522c3704a03f016778aa3f3b80f5e193eaba54f973f8f613bb276a0f55b084a0d49270a23bc60ae1a4d0275786907c5d1d5f27a98f68839379 WHIRLPOOL 4ae6eeaa4f5844766c61d632310de357b3d8c3e209e6fb277dbdd51d6f1288f34f7986a46ee970028b6683514e25f76f5e3d743e26eb98db65cbd69e7f343cbf
diff --git a/dev-java/swt-chart/swt-chart-0.8.0.ebuild b/dev-java/swt-chart/swt-chart-0.8.0.ebuild
new file mode 100644
index 0000000..e1162fb
--- /dev/null
+++ b/dev-java/swt-chart/swt-chart-0.8.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+JAVA_PKG_IUSE="doc source"
+
+MY_PN="net.sf.paperclips"
+
+inherit java-pkg-2 eutils
+
+DESCRIPTION="Simplified Java Printing Support for SWT"
+HOMEPAGE="http://code.google.com/p/swt-paperclips"
+SRC_URI="mirror://sourceforge/${PN}/SWTChart/org.swtchart_${PV}.zip"
+
+LICENSE="EPL-1.0"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+
+COMMON_DEP="dev-java/swt:3.7"
+
+DEPEND="${COMMON_DEP}
+ >=virtual/jdk-1.5"
+
+RDEPEND="${COMMON_DEP}
+ >=virtual/jre-1.5"
+
+S="${WORKDIR}"
+
+src_unpack() {
+ default
+ cd "${S}"
+ unzip plugins/org.swtchart_*.jar -d swtchart
+ unzip plugins/org.swtchart.ext_*.jar -d swtchart-ext
+}
+
+src_compile() {
+
+ local classpath="$(java-pkg_getjars swt-3.7)"
+
+ mkdir -p bin/swtchart bin/swtchart-ext
+
+ find swtchart/src -name '*.java' > sources.list
+ ejavac -cp "${classpath}" -d bin/swtchart @sources.list
+ jar cf org.swtchart_${PV}.jar -C bin/swtchart .
+
+ find swtchart-ext/src -name '*.java' > sources.list
+ ejavac -cp "${classpath}:org.swtchart_${PV}.jar" -d bin/swtchart-ext @sources.list
+ jar cf org.swtchart.ext_${PV}.jar -C bin/swtchart-ext .
+
+ # TODO: javadoc
+}
+
+
+src_install() {
+ java-pkg_newjar org.swtchart_${PV}.jar
+ java-pkg_newjar org.swtchart.ext_${PV}.jar
+
+ use doc && dodoc doc/*
+ use doc && java-pkg_dojavadoc javadoc
+
+ use source && java-pkg_dosrc src/de
+}
diff --git a/dev-java/swt-paperclips/Manifest b/dev-java/swt-paperclips/Manifest
new file mode 100644
index 0000000..5e2cd1a
--- /dev/null
+++ b/dev-java/swt-paperclips/Manifest
@@ -0,0 +1,3 @@
+DIST net.sf.paperclips.source_1.0.4.200908120926.jar 275736 SHA256 17b87c022980c1525f99cbe4bc15a68fcfbd6f8b4fb90c9470517ec2b460e7cc SHA512 49f4033ea8077a4dbee641668a90905d550655e3ff310bdfa79b3b4054df62fe56d6a30329f8881a3d5b412a71493e4d9c1d4e81a10ce329fb0f2bae3fa2a08c WHIRLPOOL 5f17f26e9841aedabfcdb6ee1dec760631fd409614fdcc59fc5fcb6f0e743ef081dd5bd1c438cf06b067d7de58f9f8bd21a76719c634e34931247d325e71b5ec
+DIST net.sf.paperclips.ui.source_1.0.4.200908120926.jar 32126 SHA256 02e201e27d7c7c67fd4bb74fc9255872d69d4d30f95c24a90a07d02d79a6b64e SHA512 199e374eb8b09b76c754f5b2b40bf652a7eba4b572cca214bed7695aae028f19ed191d34d19657e61746b265058b6822a8ee056e52ccc269e47a6bd8b7b18dd8 WHIRLPOOL c8f8cb0878daf209fc3c3db6f72af001825bd9275d0147909e97920c668c338577046f5e1b155c82db6c36371228b73d68f9f2e50658cdf74bcdcb9e88a94d0b
+EBUILD swt-paperclips-1.0.4.200908120926.ebuild 1030 SHA256 df05285c24e0a4b2378fdf433b1b92b38ad391aa287a3284bb397a44d7902c02 SHA512 5c0c8c6e84a95f31c5e22442162b8932febc0e589b8bc7a9f802f49029a8d81f63df26626b11f1bf0c7bdcf5f3236d5aa2c4ebe8533be77f5b07dbc238774a46 WHIRLPOOL 057845afe6c509137e8c4013518f59dffeb764657e0db81e34787d7f79daf4da1958add07d198492dc2572e24526e589fcb3f61d5a5e1e7dcf7da0b14af4f565
diff --git a/dev-java/swt-paperclips/swt-paperclips-1.0.4.200908120926.ebuild b/dev-java/swt-paperclips/swt-paperclips-1.0.4.200908120926.ebuild
new file mode 100644
index 0000000..cade772
--- /dev/null
+++ b/dev-java/swt-paperclips/swt-paperclips-1.0.4.200908120926.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+JAVA_PKG_IUSE="doc source"
+
+MY_PN="net.sf.paperclips"
+
+inherit java-pkg-2 eutils
+
+DESCRIPTION="Simplified Java Printing Support for SWT"
+HOMEPAGE="http://code.google.com/p/swt-paperclips"
+SRC_URI="http://${PN}.googlecode.com/files/${MY_PN}.source_${PV}.jar
+ ui? ( http://${PN}.googlecode.com/files/${MY_PN}.ui.source_${PV}.jar )"
+
+LICENSE="EPL-1.0"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE="+ui"
+
+COMMON_DEP="dev-java/swt:3.7"
+
+DEPEND="${COMMON_DEP}
+ >=virtual/jdk-1.5"
+
+RDEPEND="${COMMON_DEP}
+ >=virtual/jre-1.5"
+
+S="${WORKDIR}"
+
+src_compile() {
+
+ mkdir build
+ local classpath="$(java-pkg_getjars swt-3.7)"
+ find net -name '*.java' > sources.list
+ ejavac -d build -cp "${classpath}" @sources.list
+ jar cf ${PN}.jar -C build/ .
+
+ # TODO javadoc
+}
+
+src_install() {
+ java-pkg_newjar ${PN}.jar
+
+ #use doc && java-pkg_dohtml -r docs/*
+ use source && java-pkg_dosrc net
+}
+
diff --git a/dev-java/willuhn-datasource/Manifest b/dev-java/willuhn-datasource/Manifest
new file mode 100644
index 0000000..0b1ec3b
--- /dev/null
+++ b/dev-java/willuhn-datasource/Manifest
@@ -0,0 +1,5 @@
+AUX 2.2-java7-api.patch 1119 SHA256 8cf266ba0593e7e6426e41b181382fdc4a4abb91d6102194bb9aca0ddc2e00ba SHA512 cb404756386d4225b5cd3531f8a8ae750cf7a5b4bebb55ccad7a8152c35a052c755b93e48225c071a6c501e4f50864aefba4f8f1cb552a7384cd8c2d6ec894d7 WHIRLPOOL 52c595acdf977a479003583208a5205d396a81075a51a304899c985ea7d08f9f18f4bdbb100479a925ab4c6d6f6d157e58f6c2314aadb399b59581f56ba1117c
+DIST willuhn-datasource-1.10.zip 77981 SHA256 20daeab95ee1c5688c5231f94495112bf85c65a14263859f3bb343f5ad803372 SHA512 b4f04a14b480e214f8e797435db06702707df4cc4385bce8c205cdab595a461eaced5e124733855cd7d3b65cbf5462768dbd263ad6e6c779b9223a77c3678e7c WHIRLPOOL 209a8a923437f1381ce32283323ffbb3703b01de9bfd493bab6ed1f620b196dbd1a67a90d01c8f75d59d26568f2eba679f043166fda745ecc25cc7c988793d9e
+DIST willuhn-datasource-2.2.zip 77290 SHA256 863a1f72b14bb8556a5f03264d8e39c04ce90b7abfe29da92aac92e033f2b3dd SHA512 8f443cc8c3c21df1eebb5a229160736bddb37a2e7e5775f9b5ade9497dc074e4338ae35e454f3a2cb1fcf2f83c63742de69ba24c6ed8e3907fd31ab527cf8168 WHIRLPOOL 2552b60ccad733803cc41953b56eb6804eb5b0eabccc2f443715cfe7d64a5b74abf2fa1c5d8b13f84c4927d2474c55e72d4d93e6abfb624c0a69a4e3ac2d8a37
+EBUILD willuhn-datasource-1.10.ebuild 999 SHA256 b6eb616020b09562243a3cdfd86216461997155eb6337cd1b893362f7b5843b7 SHA512 aeece7309fb97db1d81271df758ff47275f0e722e5bdaaeac83a04758cb5bd79ab2ac271e4ae9707d8e7f9b7ab34f39ced7972eed783ff2676d16577d19edb07 WHIRLPOOL 819b364d7f52c2cd7f0feb64324623abeec716425f16968fc41833cc30a463d19a5c072e736175623ca83316367935f30ec137d13fad1e0dcc356732829ceae2
+EBUILD willuhn-datasource-2.2.ebuild 1057 SHA256 fc710ce43fd74bca83b5bd5280e61a717ffb38f21054de9af605498ed0baf013 SHA512 1937719c4e67fe48020a3b1d5fee737ed895cb6fe1dc5b99279152cf8964de5683e332303d0866cc11cac8eec9d19d3a4a46fc1049e6be51f520069c6dece49d WHIRLPOOL df71419e64c2cb049e33bd64d3188060b1e1ab693dc23def0bc714f07e63f325cd1e939e8860c9a2a7f749bcddd0cbe37fad3f27b0f81f4ab178b7333fec75fe
diff --git a/dev-java/willuhn-datasource/files/2.2-java7-api.patch b/dev-java/willuhn-datasource/files/2.2-java7-api.patch
new file mode 100644
index 0000000..2823482
--- /dev/null
+++ b/dev-java/willuhn-datasource/files/2.2-java7-api.patch
@@ -0,0 +1,33 @@
+Index: work/src/de/willuhn/datasource/db/MyDriver.java
+===================================================================
+--- work.orig/src/de/willuhn/datasource/db/MyDriver.java
++++ work/src/de/willuhn/datasource/db/MyDriver.java
+@@ -16,7 +16,9 @@ import java.sql.Connection;
+ import java.sql.Driver;
+ import java.sql.DriverPropertyInfo;
+ import java.sql.SQLException;
++import java.sql.SQLFeatureNotSupportedException;
+ import java.util.Properties;
++import java.util.logging.Logger;
+
+ /**
+ * Hilfsklasse da java.sql.DriverManager nur Driver akzeptiert,
+@@ -94,6 +96,11 @@ public class MyDriver implements Driver
+ return driver.getPropertyInfo(url,info);
+ }
+
++ public Logger getParentLogger() throws SQLFeatureNotSupportedException
++ {
++ throw new SQLFeatureNotSupportedException();
++ }
++
+ }
+
+
+@@ -105,4 +112,4 @@ public class MyDriver implements Driver
+ * Revision 1.1 2004/12/07 01:27:58 willuhn
+ * @N Dummy Driver
+ *
+- **********************************************************************/
+\ No newline at end of file
++ **********************************************************************/
diff --git a/dev-java/willuhn-datasource/willuhn-datasource-1.10.ebuild b/dev-java/willuhn-datasource/willuhn-datasource-1.10.ebuild
new file mode 100644
index 0000000..a48f924
--- /dev/null
+++ b/dev-java/willuhn-datasource/willuhn-datasource-1.10.ebuild
@@ -0,0 +1,45 @@
+EAPI="2"
+JAVA_PKG_IUSE="doc source"
+
+WANT_ANT_TASKS="ant-nodeps"
+inherit eutils java-pkg-2 java-ant-2
+
+DESCRIPTION="An object relational mapper with RMI support"
+HOMEPAGE="http://www.willuhn.de/products/jameica/"
+SRC_URI="http://www.willuhn.de/products/jameica/releases/${PV}/datasource/de_willuhn_ds.src.zip -> ${P}.zip"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+
+COMMON_DEP="dev-java/willuhn-util
+ dev-java/mckoi"
+
+RDEPEND=">=virtual/jre-1.5
+ ${COMMON_DEP}"
+
+DEPEND=">=virtual/jdk-1.5
+ app-arch/unzip
+ ${COMMON_DEP}"
+
+S=${WORKDIR}
+
+java_prepare() {
+
+ java-ant_rewrite-classpath build/build.xml
+ eant -f build/build.xml clean
+}
+
+src_compile() {
+
+ EANT_GENTOO_CLASSPATH="willuhn-util,mckoi-1" eant -f build/build.xml jar $(use_doc javadoc)
+# -Dgentoo.classpath="$(java-pkg_getjars willuhn-util,mckoi-1)"
+}
+
+src_install() {
+ java-pkg_dojar releases/${PV}-0/de_willuhn_ds.jar
+
+ use doc && java-pkg_dojavadoc dist/api
+ use source && java-pkg_dosrc src/de
+}
diff --git a/dev-java/willuhn-datasource/willuhn-datasource-2.2.ebuild b/dev-java/willuhn-datasource/willuhn-datasource-2.2.ebuild
new file mode 100644
index 0000000..a88e383
--- /dev/null
+++ b/dev-java/willuhn-datasource/willuhn-datasource-2.2.ebuild
@@ -0,0 +1,46 @@
+EAPI="2"
+JAVA_PKG_IUSE="doc source"
+
+WANT_ANT_TASKS="ant-nodeps"
+inherit eutils java-pkg-2 java-ant-2
+
+DESCRIPTION="An object relational mapper with RMI support"
+HOMEPAGE="http://www.willuhn.de/products/jameica/"
+SRC_URI="http://www.willuhn.de/products/jameica/releases/${PV}/datasource/de_willuhn_ds.src.zip -> ${P}.zip"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+
+COMMON_DEP="~dev-java/willuhn-util-${PV}
+ dev-java/mckoi"
+
+RDEPEND=">=virtual/jre-1.5
+ ${COMMON_DEP}"
+
+DEPEND=">=virtual/jdk-1.5
+ app-arch/unzip
+ ${COMMON_DEP}"
+
+S=${WORKDIR}
+
+java_prepare() {
+
+ epatch "${FILESDIR}/${PV}-java7-api.patch"
+ java-ant_rewrite-classpath build/build.xml
+ eant -f build/build.xml clean
+}
+
+src_compile() {
+
+ EANT_GENTOO_CLASSPATH="willuhn-util,mckoi-1" eant -f build/build.xml jar $(use_doc javadoc)
+# -Dgentoo.classpath="$(java-pkg_getjars willuhn-util,mckoi-1)"
+}
+
+src_install() {
+ java-pkg_dojar releases/${PV}-0/de_willuhn_ds.jar
+
+ use doc && java-pkg_dojavadoc dist/api
+ use source && java-pkg_dosrc src/de
+}
diff --git a/dev-java/willuhn-util/Manifest b/dev-java/willuhn-util/Manifest
new file mode 100644
index 0000000..ac050d3
--- /dev/null
+++ b/dev-java/willuhn-util/Manifest
@@ -0,0 +1,4 @@
+DIST willuhn-util-1.10.zip 86916 SHA256 443e6f6d3a8f9ee28479e17b43d685ae42f3866c952dc2f10426786e181431e4 SHA512 9f05f610072e5c8757c841ed5acb1a6685cbbb807b12d30e51203be708ef0cbf411e4396568b1adf003271fb67ceff0034fc604c2613da000bb96848c6d57189 WHIRLPOOL 6e118b2ac93a7df1bfd2817c40b2f99cbf4a3cd44922ffeb36702dacfee4d5198c4d0e825799e7017311419ada767f106dc3711f3be4f0e1aca91fee7af9c827
+DIST willuhn-util-2.2.zip 94106 SHA256 adc07636d8a40b41ab04196dff86fd86693dcc703a3e3309e26a16c134d46ee4 SHA512 63ff32c797049339238716b2139e2b1a9064a878628d1feceef8f1630b00d7b135df7b6fea5efaa67e56a75232d2cc00477bd4a0540e15443987c3f5541f417a WHIRLPOOL c4ca822f51240914d61a584c81299f81fee8024b355a46e1c13000bc216d3e5b83990aefcb20200e5865e01690130347899a13f612e5657fc048f57dea7131e5
+EBUILD willuhn-util-1.10.ebuild 821 SHA256 dbb6f492a349bce8903ad4edb9cf04199a9b307bda2550af305f949305e12c9c SHA512 dbda084f960d6283a1c8c2873256744d9256e48d01d1d578ee01f3e3433adce952748cf3a27ad233bb91a417fa8755adb8e0890225db7dfde3e03f5f4a5917d7 WHIRLPOOL 1b85c85044c141be0fa846467f0d9add3c4d64c97380a157cd69a84ec743d6775168c555a8c6bd10540411ebdd2bdf4c38e03e41de0efceca77f88acf03eb1df
+EBUILD willuhn-util-2.2.ebuild 827 SHA256 3d6b298ff70d62eda5d311ce253fb904410e7eb3e23b8d19a58d4a23c840c1dd SHA512 704d90ec5ee1d13c989a4d1a8e73c3dab542d7409c1928911b57d31f4d229e008750ddc77ac4fc002318363663af260629feea6ad2a2d406b6adb148372c2d12 WHIRLPOOL cd828b5b1c1befa4da384e0a58d6545432e4557afdbe626315d416f13b0ae28805b9fe862d5bcd90de50a5bb1b6ec3ee2730ec8d13fc01acba39db8a84298fba
diff --git a/dev-java/willuhn-util/willuhn-util-1.10.ebuild b/dev-java/willuhn-util/willuhn-util-1.10.ebuild
new file mode 100644
index 0000000..9211b87
--- /dev/null
+++ b/dev-java/willuhn-util/willuhn-util-1.10.ebuild
@@ -0,0 +1,42 @@
+EAPI="2"
+JAVA_PKG_IUSE="doc source"
+
+WANT_ANT_TASKS="ant-nodeps"
+inherit eutils java-pkg-2 java-ant-2
+
+DESCRIPTION="A collection of small java helpers"
+HOMEPAGE="http://www.willuhn.de/products/jameica/"
+SRC_URI="http://www.willuhn.de/products/jameica/releases/${PV}/util/de_willuhn_util.src.zip -> ${P}.zip"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+
+COMMON_DEP=""
+
+RDEPEND=">=virtual/jre-1.5
+ ${COMMON_DEP}"
+
+DEPEND=">=virtual/jdk-1.5
+ app-arch/unzip
+ ${COMMON_DEP}"
+
+S=${WORKDIR}
+
+java_prepare() {
+
+ eant -f build/build.xml clean
+}
+
+src_compile() {
+
+ eant -f build/build.xml jar $(use_doc javadoc) || die "compile problem"
+}
+
+src_install() {
+ java-pkg_dojar releases/${PV}-0/de_willuhn_util.jar
+
+ use doc && java-pkg_dojavadoc dist/api
+ use source && java-pkg_dosrc src/de
+}
diff --git a/dev-java/willuhn-util/willuhn-util-2.2.ebuild b/dev-java/willuhn-util/willuhn-util-2.2.ebuild
new file mode 100644
index 0000000..d465ab5
--- /dev/null
+++ b/dev-java/willuhn-util/willuhn-util-2.2.ebuild
@@ -0,0 +1,42 @@
+EAPI="2"
+JAVA_PKG_IUSE="doc source"
+
+WANT_ANT_TASKS="ant-nodeps"
+inherit eutils java-pkg-2 java-ant-2
+
+DESCRIPTION="A collection of small java helpers"
+HOMEPAGE="http://www.willuhn.de/products/jameica/"
+SRC_URI="http://www.willuhn.de/products/jameica/releases/${PV}/util/de_willuhn_util.src.zip -> ${P}.zip"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86 amd64"
+IUSE=""
+
+COMMON_DEP=""
+
+RDEPEND=">=virtual/jre-1.5
+ ${COMMON_DEP}"
+
+DEPEND=">=virtual/jdk-1.5
+ app-arch/unzip
+ ${COMMON_DEP}"
+
+S=${WORKDIR}
+
+java_prepare() {
+
+ eant -f build/build.xml clean
+}
+
+src_compile() {
+
+ eant -f build/build.xml jar $(use_doc javadoc) || die "compile problem"
+}
+
+src_install() {
+ java-pkg_dojar releases/${PV}-0/de_willuhn_util.jar
+
+ use doc && java-pkg_dojavadoc dist/api
+ use source && java-pkg_dosrc src/de
+}
diff --git a/net-libs/hbci4java/Manifest b/net-libs/hbci4java/Manifest
new file mode 100644
index 0000000..ab056ed
--- /dev/null
+++ b/net-libs/hbci4java/Manifest
@@ -0,0 +1,4 @@
+AUX 2.5.12-build.patch 2450 SHA256 7e2014b78bcb484570b1648f45090bb22f839c774bb9cbdd0c0138adc12ca9eb SHA512 adba26d72072626d1d2957c9795892cb89f1d60c56229ae1fd78bf2d1077118fce9889321957c1a0ac0dbfadfd7c2a5c5a8f2cb86407a5306b9f5b99e2f92f87 WHIRLPOOL d979ed8211566a11519e30c7854a869aac53a532f0f7fe3fb0a03accfc56664608b344ad7327abe4dfbf00931fe06fe502149c37614874ea6e00ec53190d4d78
+AUX 2.5.12-makefile.patch 4981 SHA256 26e8eb182fe8e81a56f08732112d750fbdd91245d493e38858a0f2fe9e1fb5fa SHA512 4578a46e73d33a12ab9e885c2cdddb1797478c693a9ad343774faee4a0d802794e2553d50331d58fd3276cc4dcc766834decee5ce4be4e6d05197498b8cbf32c WHIRLPOOL 23b32f931a0fc842677da92e9f85bf1a42b530f2722dd26b7757e69dd7774c63b6053f1295e4fec7b4e6b1a3cabb351493556bd656ee5f68e05c025a889ff5d6
+DIST hbci4java-2.5.12-src.zip 1985181 SHA256 a829188fbc858b61109108c889f72fab10a555b13430517a029bbbbb383d6827 SHA512 f72e9388b9c12aa5abcbbdb4021cb32fc8d9ccc87941571d8a0c521ea88c96c69a68024e5eb0fe55f80ec7504e562b0b1b12f4b65bdab0c8988914a36e3dd6ed WHIRLPOOL 27daeffc2316d3bbb7a427143423e875213bd43ce895b27de96ec0d4eebd0023558cb87d430c3edc0e02ce2a866474d4795312530d4a7b92456d850c43a84e56
+EBUILD hbci4java-2.5.12.ebuild 1322 SHA256 34c7a32a7bad855d83548ae49f34441b00d1539b5cf5405b2118cc955c345743 SHA512 773b7556b60a8d210e99439565f11233d32201a80b9fb72ef9b88598f23a7c17a33b0134d23a09eb894bb39d10d4c96d4bc73fc79a3736e51c81f309ec999f78 WHIRLPOOL 79bde01c56fdc9ef627981e5a68cdc8d51a44013129b341afe47c662ec1541b0144855ef9b267eb904d10b2352835bded958bae2904bb142064ee7a06b4cd416
diff --git a/net-libs/hbci4java/files/2.5.12-build.patch b/net-libs/hbci4java/files/2.5.12-build.patch
new file mode 100644
index 0000000..73f1c8d
--- /dev/null
+++ b/net-libs/hbci4java/files/2.5.12-build.patch
@@ -0,0 +1,60 @@
+Index: hbci4java-2.5.12-src/build.xml
+===================================================================
+--- hbci4java-2.5.12-src.orig/build.xml
++++ hbci4java-2.5.12-src/build.xml
+@@ -14,7 +14,11 @@
+ </path>
+
+ <target name="compile"
+- description="compile all the needed stuff; after that add dir 'classes' to the classpath; in dir 'chipcard/lib' you will find the ddv-library needed for accessing your chipcard terminal">
++ description="compile all the needed stuff; after that add dir 'classes' to the classpath; in dir 'chipcard/lib' you will find the ddv-library needed for accessing your chipcard terminal"
++ depends="compile-java, compile-chipcard" />
++
++ <target name="compile-java"
++ description="Compile the Java library">
+ <mkdir dir="${classes}"/>
+ <javac srcdir="${src}" destdir="${classes}"
+ debug="on" encoding="ISO-8859-1"
+@@ -39,17 +43,20 @@
+ </fileset>
+ <mapper type="glob" from="messages*" to="HBCIMessages*" />
+ </copy>
++ </target>
+
+- <javah class="org.kapott.hbci.passport.HBCIPassportDDV"
+- outputFile="${chipcard}/src/include/frontend.h"
++ <target name="compile-chipcard" depends="compile-java"
++ description="Compiles the driver for chipcard terminals">
++ <javah class="org.kapott.hbci.passport.HBCIPassportDDV"
++ outputFile="${chipcard}/src/include/frontend.h"
+ classpath="${classes}"/>
+-
++
+ <exec executable="${make}" os="Linux">
+ <arg line="-C ${chipcard}"/>
+ </exec>
+ </target>
+
+- <target name="package" depends="compile">
++ <target name="package" depends="compile-java">
+ <mkdir dir="${dist}/jar"/>
+ <jar destfile="${dist}/jar/hbci4java.jar"
+ basedir="${classes}" compress="true">
+@@ -96,7 +103,7 @@
+ <include name="tools/HBCIBatch.java"/>
+ </fileset>
+
+- <target name="javadoc" depends="compile"
++ <target name="javadoc" depends="compile-java"
+ description="create javadoc documentation">
+ <mkdir dir="${doc}/javadoc" />
+ <javadoc classpath="${classes}"
+@@ -111,7 +118,7 @@
+ </javadoc>
+ </target>
+
+- <target name="dist" depends="package,javadoc"
++ <target name="dist" depends="compile,package,javadoc"
+ description="bundle all required stuff in a single directory (dir 'dist').">
+
+ <mkdir dir="${dist}/templates"/>
diff --git a/net-libs/hbci4java/files/2.5.12-makefile.patch b/net-libs/hbci4java/files/2.5.12-makefile.patch
new file mode 100644
index 0000000..f679274
--- /dev/null
+++ b/net-libs/hbci4java/files/2.5.12-makefile.patch
@@ -0,0 +1,139 @@
+Index: hbci4java-2.5.12-src/chipcard/src/frontend/Makefile
+===================================================================
+--- hbci4java-2.5.12-src.orig/chipcard/src/frontend/Makefile
++++ hbci4java-2.5.12-src/chipcard/src/frontend/Makefile
+@@ -4,8 +4,9 @@ INCLUDES = -I../include -I$(JAVA_HOME)/i
+ WARNINGS = -Wall
+ # removed "-Werror -pedantic" because of dlsym() typecast problem
+
+-CC = g++
+-CFLAGS = -fPIC $(DEFINES) $(INCLUDES) $(WARNINGS)
++CXX ?= g++
++AR ?= ar
++CXXFLAGS += -fPIC $(DEFINES) $(INCLUDES) $(WARNINGS)
+ LIBS = -L../../bin -lzkachip-highlevel -lzkachip-lowlevel
+
+ SOURCES = frontend.cpp
+@@ -15,16 +16,16 @@ OBJECTS = ../../bin/frontend.o
+ .SUFFIXES: .cpp .o
+
+ ../../bin/%.o: %.cpp
+- $(CC) -c -o $@ $(CFLAGS) $<
++ $(CXX) -c -o $@ $(CXXFLAGS) $(LDFLAGS) $<
+
+ all: depend ../../bin/libhbci4java-card-linux.so
+
+ depend: Makefile.depend
+
+ Makefile.depend: $(SOURCES)
+- for file in $(SOURCES); do echo -n "../../bin/"; gcc $(CFLAGS) -MM $$file; done >Makefile.depend
++ for file in $(SOURCES); do echo -n "../../bin/"; $(CXX) $(CXXFLAGS) $(LDFLAGS) -MM $$file; done >Makefile.depend
+
+ ../../bin/libhbci4java-card-linux.so: $(OBJECTS) ../../bin/libzkachip-highlevel.a ../../bin/libzkachip-lowlevel.a
+- $(CC) -fPIC -shared -o $@ $(OBJECTS) $(LIBS)
++ $(CXX) $(LDFLAGS) -fPIC -shared -o $@ $(OBJECTS) $(LIBS)
+
+ include Makefile.depend
+Index: hbci4java-2.5.12-src/chipcard/src/highlevel/Makefile
+===================================================================
+--- hbci4java-2.5.12-src.orig/chipcard/src/highlevel/Makefile
++++ hbci4java-2.5.12-src/chipcard/src/highlevel/Makefile
+@@ -4,9 +4,9 @@ INCLUDES = -I../include
+ WARNINGS = -Wall
+ # removed "-Werror -pedantic" because of dlsym() typecast problem
+
+-CC = g++
+-AR = ar
+-CFLAGS = -fPIC $(DEFINES) $(INCLUDES) $(WARNINGS)
++CXX ?= g++
++AR ?= ar
++CXXFLAGS += -fPIC $(DEFINES) $(INCLUDES) $(WARNINGS)
+
+ SOURCES = hbci_cardtype.cpp \
+ ddv_decrypt.cpp \
+@@ -37,14 +37,14 @@ OBJECTS = ../../bin/hbci_cardtype.o \
+ .SUFFIXES: .cpp .o
+
+ ../../bin/%.o: %.cpp
+- $(CC) -c -o $@ $(CFLAGS) $<
++ $(CXX) -c -o $@ $(CXXFLAGS) $(LDFLAGS) $<
+
+ all: depend ../../bin/libzkachip-highlevel.a
+
+ depend: Makefile.depend
+
+ Makefile.depend: $(SOURCES)
+- for file in $(SOURCES); do echo -n "../../bin/"; gcc $(CFLAGS) -MM $$file; done >Makefile.depend
++ for file in $(SOURCES); do echo -n "../../bin/"; $(CXX) $(CXXFLAGS) $(LDFLAGS) -MM $$file; done >Makefile.depend
+
+ ../../bin/libzkachip-highlevel.a: $(OBJECTS)
+ $(AR) rcsv $@ $(OBJECTS)
+Index: hbci4java-2.5.12-src/chipcard/src/lowlevel/Makefile
+===================================================================
+--- hbci4java-2.5.12-src.orig/chipcard/src/lowlevel/Makefile
++++ hbci4java-2.5.12-src/chipcard/src/lowlevel/Makefile
+@@ -4,9 +4,9 @@ INCLUDES = -I../include
+ WARNINGS = -Wall
+ # removed "-Werror -pedantic" because of dlsym() typecast problem
+
+-CC = g++
+-AR = ar
+-CFLAGS = -fPIC $(DEFINES) $(INCLUDES) $(WARNINGS)
++CXX ?= g++
++AR ?= ar
++CXXFLAGS += -fPIC $(DEFINES) $(INCLUDES) $(WARNINGS)
+
+ SOURCES = atr.cpp \
+ bcs.cpp \
+@@ -41,14 +41,14 @@ OBJECTS = ../../bin/atr.o \
+ .SUFFIXES: .cpp .o
+
+ ../../bin/%.o: %.cpp
+- $(CC) -c -o $@ $(CFLAGS) $<
++ $(CXX) -c -o $@ $(CXXFLAGS) $(LDFLAGS) $<
+
+ all: depend ../../bin/libzkachip-lowlevel.a
+
+ depend: Makefile.depend
+
+ Makefile.depend: $(SOURCES)
+- for file in $(SOURCES); do echo -n "../../bin/"; gcc $(CFLAGS) -MM $$file; done >Makefile.depend
++ for file in $(SOURCES); do echo -n "../../bin/"; $(CXX) $(CXXFLAGS) $(LDFLAGS) -MM $$file; done >Makefile.depend
+
+ ../../bin/libzkachip-lowlevel.a: $(OBJECTS)
+ $(AR) rcsv $@ $(OBJECTS)
+Index: hbci4java-2.5.12-src/chipcard/src/tools/Makefile
+===================================================================
+--- hbci4java-2.5.12-src.orig/chipcard/src/tools/Makefile
++++ hbci4java-2.5.12-src/chipcard/src/tools/Makefile
+@@ -4,8 +4,9 @@ INCLUDES = -I../include
+ WARNINGS = -Wall
+ # removed "-Werror -pedantic" because of dlsym() typecast problem
+
+-CC = g++
+-CFLAGS = -fPIC $(DEFINES) $(INCLUDES) $(WARNINGS)
++CXX ?= g++
++AR ?= ar
++CXXFLAGS += -fPIC $(DEFINES) $(INCLUDES) $(WARNINGS)
+ LIBS = -L../../bin -lzkachip-highlevel -lzkachip-lowlevel -ldl
+
+ SOURCES = t_hbci_cardinfo.cpp \
+@@ -29,15 +30,15 @@ PROGRAMS = ../../bin/t_hbci_cardinfo \
+ .SUFFIXES: .cpp .o
+
+ ../../bin/%.o: %.cpp
+- $(CC) -c -o $@ $(CFLAGS) $<
++ $(CXX) -c -o $@ $(CXXFLAGS) $(LDFLAGS) $<
+ ../../bin/%: ../../bin/%.o ../../bin/libzkachip-highlevel.a ../../bin/libzkachip-lowlevel.a
+- $(CC) -fPIC -o $@ $< $(LIBS)
++ $(CXX) -fPIC -o $@ $< $(LIBS)
+
+ all: depend $(PROGRAMS)
+
+ depend: Makefile.depend
+
+ Makefile.depend: $(SOURCES)
+- for file in $(SOURCES); do echo -n "../../bin/"; gcc $(CFLAGS) -MM $$file; done >Makefile.depend
++ for file in $(SOURCES); do echo -n "../../bin/"; $(CXX) $(CXXFLAGS) $(LDFLAGS) -MM $$file; done >Makefile.depend
+
+ include Makefile.depend
diff --git a/net-libs/hbci4java/hbci4java-2.5.12.ebuild b/net-libs/hbci4java/hbci4java-2.5.12.ebuild
new file mode 100644
index 0000000..d997072
--- /dev/null
+++ b/net-libs/hbci4java/hbci4java-2.5.12.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+JAVA_PKG_IUSE="doc source"
+
+WANT_ANT_TASKS="ant-nodeps"
+inherit eutils java-pkg-2 java-ant-2
+
+DESCRIPTION="A Java Library for HBCI (Homebanking Computer Interface) / FinTS (Financial Transaction Services)"
+HOMEPAGE="http://hbci4java.kapott.org/"
+SRC_URI="http://hbci4java.kapott.org/${P}-src.zip"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE="+chipcard"
+
+COMMON_DEP="
+ dev-java/xerces:2
+ >=dev-java/log4j-1.2.8:0
+ !net-libs/willuhn-hbci4java"
+
+RDEPEND=">=virtual/jre-1.4
+ ${COMMON_DEP}"
+
+DEPEND=">=virtual/jdk-1.4
+ app-arch/unzip
+ ${COMMON_DEP}"
+
+S=${WORKDIR}/${P}-src
+
+# JNI libraries don't need SONAME
+QA_SONAME="usr/$(get_libdir)/lib${PN}-chipcard-linux.so"
+
+EANT_BUILD_TARGET="package"
+
+pkg_setup() {
+ use chipcard && EANT_BUILD_TARGET="compile-chipcard ${EANT_BUILD_TARGET}"
+}
+
+java_prepare() {
+ epatch "${FILESDIR}/${PV}-makefile.patch"
+ epatch "${FILESDIR}/${PV}-build.patch"
+ eant clean
+}
+
+src_install() {
+ java-pkg_newjar dist/jar/${PN}.jar
+
+ if use chipcard; then
+ dolib chipcard/lib/libhbci4java-card-linux.so || "dolib failed"
+ fi
+
+ dodoc README* FEATURES BUGS ChangeLog || die "dodoc failed"
+
+ use doc && java-pkg_dojavadoc doc/javadoc
+ use source && java-pkg_dosrc src/org
+}
diff --git a/net-libs/willuhn-hbci4java/Manifest b/net-libs/willuhn-hbci4java/Manifest
new file mode 100644
index 0000000..9e6f654
--- /dev/null
+++ b/net-libs/willuhn-hbci4java/Manifest
@@ -0,0 +1,2 @@
+DIST willuhn-hbci4java-2.5.12.30.tar.gz 2833964 SHA256 6fd541c02384d64ece3e032a7b0650bf52d86ea89c9afb439df1bb1ad471ed19 SHA512 ac2371b886decf692fb8afdb58a810e613679d7984b3d6853e778d7559c4127fc0fac4bf387ec789e4c8ad3ab95c5e4ce17e3fbde0ec478648f1ed53cff8f69c WHIRLPOOL e2e094e8b8eea845a66780b09c0112384fb9cc6624ec1a919206b60ac9246b32ca92ad3fa294e19841666c0a9347e9192a32fbf782e3ddcfeceeb8f54012a694
+EBUILD willuhn-hbci4java-2.5.12.30.ebuild 1551 SHA256 bd0b684ddccecfdcc1f6371dc29686681aa5b04e3aa06ee396f0252793ab60c7 SHA512 0b0a58dd3f3504c93d5f6bc3760101d95659129f9fbd2eeae0a4276cb8b0874ff91568a7e7b6134257567a349e80ae987dcd78e37a987558db0628aac47b68d3 WHIRLPOOL 0c06d6bd935ff8d4af394b4b6a5ad326991c1a5adb80c16eeb479f5f99dbff5afb208537394aaf85cb21aed6c41f634a769df4e32679fe8294673eef5c155636
diff --git a/net-libs/willuhn-hbci4java/willuhn-hbci4java-2.5.12.30.ebuild b/net-libs/willuhn-hbci4java/willuhn-hbci4java-2.5.12.30.ebuild
new file mode 100644
index 0000000..51dcb1e
--- /dev/null
+++ b/net-libs/willuhn-hbci4java/willuhn-hbci4java-2.5.12.30.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+JAVA_PKG_IUSE="doc source"
+
+WANT_ANT_TASKS="ant-nodeps"
+inherit eutils java-pkg-2 java-ant-2
+
+PATCH_VERSION="$(get_version_component_range 4)"
+
+DESCRIPTION="A Java Library for HBCI/FinTS (Hibiscus Branch)"
+HOMEPAGE="https://github.com/willuhn/hbci4java"
+SRC_URI="https://github.com/willuhn/hbci4java/tarball/PATCH_${PATCH_VERSION} -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+smartcard"
+
+COMMON_DEP="
+ dev-java/xerces:2
+ >=dev-java/log4j-1.2.8:0
+ !net-libs/hbci4java
+ smartcard? ( sys-libs/pcsc-ctapi-wrapper )"
+
+RDEPEND=">=virtual/jre-1.6
+ ${COMMON_DEP}"
+
+DEPEND=">=virtual/jdk-1.6
+ app-arch/unzip
+ ${COMMON_DEP}"
+
+# JNI libraries don't need SONAME
+QA_SONAME="usr/$(get_libdir)/lib${PN}-chipcard-linux.so"
+
+EANT_BUILD_TARGET="package"
+
+#pkg_setup() {
+ # FIXME use smartcard && EANT_BUILD_TARGET="compile-chipcard ${EANT_BUILD_TARGET}"
+#}
+
+src_unpack() {
+ unpack ${A}
+ mv ${PN}-* "${S}"
+}
+
+java_prepare() {
+ #epatch "${FILESDIR}/${PV}-makefile.patch"
+ #epatch "${FILESDIR}/${PV}-build.patch"
+ eant clean
+}
+
+src_install() {
+ java-pkg_newjar dist/jar/hbci4java.jar
+
+ if use smartcard; then
+ dolib chipcard/lib/libhbci4java-card-linux.so || "dolib failed"
+ use amd64 && dosym libhbci4java-card-linux.so /usr/$(get_libdir)/libhbci4java-card-linux-64.so
+ fi
+
+ dodoc readme.txt || die "dodoc failed"
+
+ use doc && java-pkg_dojavadoc doc/javadoc
+ use source && java-pkg_dosrc src/org
+}
diff --git a/sys-libs/pcsc-ctapi-wrapper/Manifest b/sys-libs/pcsc-ctapi-wrapper/Manifest
new file mode 100644
index 0000000..80cbd96
--- /dev/null
+++ b/sys-libs/pcsc-ctapi-wrapper/Manifest
@@ -0,0 +1,2 @@
+DIST pcsc-ctapi-wrapper-0.3.tar.gz 14792 SHA256 5ae49663120a711183a624798d150006cf18e2eedaf489c4aa139b6e97befb33 SHA512 d7298ab22d90fa4a6b49ac8c7c1339dfb5ca150776fdc83c1c92dc9b979065ed419df7c0ed29072cdd29f2f04121db9057b37f0f9e66c29474b80782b0b87dbc WHIRLPOOL 460181260fbb6f4c515f1a96f0c02ad44ad18585d27b6831610cc36a4b70db80492c5ce72613fe6c9db94d1da827b60df570c1346ce091aedc8694d8f092b6b0
+EBUILD pcsc-ctapi-wrapper-0.3.ebuild 851 SHA256 6a80380a5a0ff33a87bed9d5e540c03acf495e4fc8fdc060bc60eccad5926e6e SHA512 91931421a0feabb10048d35aef6a40af4451ad95ae344b9f6e61c369073a1b3e2f530cf08d61172dd795d27a8edc14acd9881e616d011f7463debf55ed7af2cf WHIRLPOOL a418cca0d57ecf1799021bf5ce1fea497bd875a63a6828ba551910933e0c4c5e0af2be07140b7e4cc266ea23e37bb802d249ec84771f2908f62b4847cf713516
diff --git a/sys-libs/pcsc-ctapi-wrapper/pcsc-ctapi-wrapper-0.3.ebuild b/sys-libs/pcsc-ctapi-wrapper/pcsc-ctapi-wrapper-0.3.ebuild
new file mode 100644
index 0000000..956b34b
--- /dev/null
+++ b/sys-libs/pcsc-ctapi-wrapper/pcsc-ctapi-wrapper-0.3.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-libs/libchipcard/libchipcard-5.0.2.ebuild,v 1.5 2012/04/16 19:39:58 ranger Exp $
+
+EAPI=2
+
+inherit eutils multilib
+
+DESCRIPTION="Wrapper library for using smartcard readers that support PCSC only (e.g. SCR24x) with any application that supports CTAPI."
+HOMEPAGE="http://pcsc-ctapi.sourceforge.net/"
+SRC_URI="mirror://sourceforge/pcsc-ctapi/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND=">=sys-apps/pcsc-lite-1.6.2"
+DEPEND="${RDEPEND}"
+
+src_install() {
+
+ dolib.so lib${PN}.so.${PV} || die "dolib.so failed"
+ dosym lib${PN}.so.${PV} /usr/$(get_libdir)/lib${PN}.so.0 || die
+ dosym lib${PN}.so.${PV} /usr/$(get_libdir)/lib${PN}.so || die
+
+ dodoc README || die "dodoc failed"
+}